/*  Module Name: @(#)z3950_externals4.h	7.10
    Version: 12/11/97
    Author: John Hough

    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ

    Date of Issue:

    QA Acceptance:
    Date of Acceptance:

    Description:
*/

#ifndef z3950_externals4_h
#define z3950_externals4_h


#include "z3950_includes.h"


int DBVdbv_to_snacc_DbvPromptObject_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_isoDbvPromptObject_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_DbvPromptObject_main(PromptObject *promptobj_ptr, struct DbvPromptObject *psPromptObject, jmp_buf env);
void DBVdbv_to_snacc_list_opt(AsnList **snacclist, void **dbv_list, long snaccnodesize, jmp_buf env, void (*node_func) (void *, void *, jmp_buf));
void DBVdbv_to_snacc_list_comp(AsnList **snacclist, void **dbv_list, long snaccnodesize, jmp_buf env, void (*node_func) (void *, void *, jmp_buf));
void DBVdbv_to_snacc_list(AsnList *snacclist, void **dbv_list, long snaccnodesize, jmp_buf env, void (*node_func) (void *, void *, jmp_buf));
void DBVdbv_to_snacc_DbvChallenge(ChallengeSeq *challenge, DbvChallenge *psChallenge, jmp_buf env);
void DBVdbv_to_snacc_DbvPromptId_comp(struct PromptId **promptId, DbvPromptId *psPromptId, jmp_buf env);
void DBVdbv_to_snacc_DbvPromptId(struct PromptId *promptId, DbvPromptId *psPromptId, jmp_buf env);
void DBVdbv_to_snacc_DbvEnumeratedPrompt_comp(struct PromptIdSeq** enummeratedPrompt, DbvEnumeratedPrompt *psEnumeratedPrompt, jmp_buf env);
void DBVdbv_to_snacc_DbvEnumeratedPrompt(struct PromptIdSeq* enummeratedPrompt, DbvEnumeratedPrompt *psEnumeratedPrompt, jmp_buf env);
void DBVdbv_to_snacc_DbvEPromptIdType(PromptIdSeqInt *type, DbvEPromptIdType *peType, jmp_buf env);
void DBVdbv_to_snacc_DbvPromptInfo_opt(struct ChallengeSeqChoice **promptInfo, DbvPromptInfo *psPromptInfo, jmp_buf env);
void DBVdbv_to_snacc_DbvPromptInfo(struct ChallengeSeqChoice *promptInfo, DbvPromptInfo *psPromptInfo, jmp_buf env);
void DBVdbv_to_snacc_DbvEncryption_comp(struct Encryption** encrypted, DbvEncryption *psEncryption, jmp_buf env);
void DBVdbv_to_snacc_DbvEncryption(struct Encryption* encrypted, DbvEncryption *psEncrypted, jmp_buf env);
void DBVdbv_to_snacc_DbvDataType_opt(ChallengeSeqInt **dataType, DbvDataType *peDataType, jmp_buf env);
void DBVdbv_to_snacc_DbvDataType(ChallengeSeqInt *dataType, DbvDataType *peDataType, jmp_buf env);
void DBVdbv_to_snacc_DbvResponse(ResponseSeq *response, DbvResponse *psResponse, jmp_buf env);
void DBVdbv_to_snacc_DbvPromptResponse_comp(struct ResponseSeqChoice **promptResponse, DbvPromptResponse *psPromptResponse, jmp_buf env);
void DBVdbv_to_snacc_DbvPromptResponse(struct ResponseSeqChoice *promptResponse, DbvPromptResponse *psPromptResponse, jmp_buf env);
void DBVsnacc_to_dbv_DbvPromptObject_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
void DBVsnacc_to_dbv_isoDbvPromptObject_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
void DBVsnacc_to_dbv_DbvPromptObject_main(struct DbvPromptObject *psPromptObject, PromptObject *promptobj_ptr, jmp_buf env);
void DBVsnacc_to_dbv_DbvChallenge_list_comp(DbvChallenge ***pppsChallenge, Challenge *challenge, jmp_buf env);
void DBVsnacc_to_dbv_DbvChallenge_list(DbvChallenge **ppsChallenge, Challenge *challenge, jmp_buf env);
void DBVsnacc_to_dbv_DbvChallenge(DbvChallenge *psChallenge, ChallengeSeq *data_ptr, jmp_buf env);
void DBVsnacc_to_dbv_DbvPromptId(DbvPromptId *psPromptId, struct PromptId *promptId, jmp_buf env);
void DBVsnacc_to_dbv_DbvEnumeratedPrompt_comp(DbvEnumeratedPrompt **ppsEnumeratedPrompt, struct PromptIdSeq* enummeratedPrompt, jmp_buf env);
void DBVsnacc_to_dbv_DbvEnumeratedPrompt(DbvEnumeratedPrompt *psEnumeratedPrompt, struct PromptIdSeq* enummeratedPrompt, jmp_buf env);
void DBVsnacc_to_dbv_DbvEPromptIdType(DbvEPromptIdType *peType, PromptIdSeqInt *type, jmp_buf env);
void DBVsnacc_to_dbv_DbvPromptInfo_opt(DbvPromptInfo **ppsPromptInfo, struct ChallengeSeqChoice* promptInfo, jmp_buf env);
void DBVsnacc_to_dbv_DbvPromptInfo(DbvPromptInfo *psPromptInfo, struct ChallengeSeqChoice* promptInfo, jmp_buf env);
void DBVsnacc_to_dbv_DbvEncryption_comp(DbvEncryption **ppsEncrypted, struct Encryption* encrypted, jmp_buf env);
void DBVsnacc_to_dbv_DbvEncryption(DbvEncryption *psEncrypted, struct Encryption*encrypted, jmp_buf env);
void DBVsnacc_to_dbv_DbvDataType_opt(DbvDataType **ppeDataType, ChallengeSeqInt *dataType, jmp_buf env);
void DBVsnacc_to_dbv_DbvDataType(DbvDataType *peDataType, ChallengeSeqInt *dataType, jmp_buf env);
void DBVsnacc_to_dbv_DbvResponse_list_comp(DbvResponse ***pppsResponse, Response *response, jmp_buf env);
void DBVsnacc_to_dbv_DbvResponse_list(DbvResponse **ppsResponse, Response *response, jmp_buf env);
void DBVsnacc_to_dbv_DbvResponse(DbvResponse *psResponse, ResponseSeq *data_ptr, jmp_buf env);
void DBVsnacc_to_dbv_DbvPromptResponse(DbvPromptResponse *psPromptResponse, struct ResponseSeqChoice* promptResponse, jmp_buf env);



int DBVdbv_to_snacc_DbvPrintExtendedService_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
void DBVdbv_to_snacc_DbvPrintExtendedService_main(Print *print_ptr, DbvPrintExtendedService *psPrintExtendedService, jmp_buf env);
void DBVdbv_to_snacc_DbvPrintRequestPackage_comp(struct PrintSeq **esrequest, DbvPrintRequestPackage *psPrintRequest, jmp_buf env);
void DBVdbv_to_snacc_DbvPrintRequestPackage(struct PrintSeq* esrequest, DbvPrintRequestPackage *psPrintRequest, jmp_buf env);
void DBVdbv_to_snacc_DbvPrintOriginPartToKeep_opt(struct OriginPartToKeep9** tokeep, DbvPrintOriginPartToKeep *psOriginPartToKeep, jmp_buf env);
void DBVdbv_to_snacc_DbvPrintOriginPartToKeep(struct OriginPartToKeep9* tokeep, DbvPrintOriginPartToKeep *psOriginPartToKeep, jmp_buf env);
void DBVdbv_to_snacc_DbvCreateOption_comp(struct CreateOption** createOption, DbvCreateOption *psCreateOption, jmp_buf env);
void DBVdbv_to_snacc_DbvCreateOption(struct CreateOption* createOption, DbvCreateOption *psCreateOption, jmp_buf env);
void DBVdbv_to_snacc_DbvResultSetReference_comp(struct ResultSetReference** resultSetReference, DbvResultSetReference *psResultSetReference, jmp_buf env);
void DBVdbv_to_snacc_DbvResultSetReference(struct ResultSetReference* resultSetReference, DbvResultSetReference *psResultSetReference, jmp_buf env);
void DBVdbv_to_snacc_DbvRange(Range *psRange, DbvRange *psDbvRange, jmp_buf env);
void DBVdbv_to_snacc_DbvRecordComposition_opt(struct ResultSetReferenceChoice** recordComposition, DbvRecordComposition *psRecordComposition, jmp_buf env);
void DBVdbv_to_snacc_DbvAddress_comp(struct Address** address, DbvAddress *psAddress, jmp_buf env);
void DBVdbv_to_snacc_DbvAddress(struct Address* address, DbvAddress *psAddress, jmp_buf env);
void DBVdbv_to_snacc_DbvAccessionReference_comp(struct AccessionReference** accessionReference, DbvAccessionReference *psAccessionReference, jmp_buf env);
void DBVdbv_to_snacc_DbvAccessionReference(struct AccessionReference* accessionReference, DbvAccessionReference *psAccessionReference, jmp_buf env);
void DBVdbv_to_snacc_DbvDeleteOption_comp(DeleteOption** deleteOption, DbvDeleteOption *psDeleteOption, jmp_buf env);
void DBVdbv_to_snacc_DbvDeleteOption(DeleteOption* deleteOption, DbvDeleteOption *psDeleteOption, jmp_buf env);
void DBVdbv_to_snacc_DbvPrintTaskPackage_comp(struct PrintSeq1 **taskPackage, DbvPrintTaskPackage *psPrintResponse, jmp_buf env);
void DBVdbv_to_snacc_DbvPrintTaskPackage(struct PrintSeq1 *taskPackage, DbvPrintTaskPackage *psPrintResponse, jmp_buf env);
void DBVdbv_to_snacc_DbvPrintTargetPartToKeep_comp(struct TargetPart9** targetPart, DbvPrintTargetPartToKeep *psTargetPart, jmp_buf env);
void DBVdbv_to_snacc_DbvPrintTargetPartToKeep(struct TargetPart9* targetPart, DbvPrintTargetPartToKeep *psTargetPart, jmp_buf env);
void DBVsnacc_to_dbv_DbvPrintExtendedService_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
void DBVsnacc_to_dbv_DbvPrintExtendedService_main(struct DbvPrintExtendedService *psPrintExtendedService, Print *print_ptr, jmp_buf env);
void DBVsnacc_to_dbv_DbvPrintRequestPackage_comp(DbvPrintRequestPackage **ppsPrintRequest, struct PrintSeq* esrequest, jmp_buf env);
void DBVsnacc_to_dbv_DbvPrintRequestPackage(DbvPrintRequestPackage *psPrintRequest, struct PrintSeq* esrequest, jmp_buf env);
void DBVsnacc_to_dbv_DbvPrintOriginPartToKeep_opt(DbvPrintOriginPartToKeep **ppsOriginPartToKeep, struct OriginPartToKeep9* tokeep, jmp_buf env);
void DBVsnacc_to_dbv_DbvPrintOriginPartToKeep(DbvPrintOriginPartToKeep *psOriginPartToKeep, struct OriginPartToKeep9* tokeep, jmp_buf env);
void DBVsnacc_to_dbv_DbvCreateOption_comp(DbvCreateOption **ppsCreateOption, struct CreateOption* createOption, jmp_buf env);
void DBVsnacc_to_dbv_DbvCreateOption(DbvCreateOption *psCreateOption, struct CreateOption* createOption, jmp_buf env);
void DBVsnacc_to_dbv_DbvResultSetReference_comp(DbvResultSetReference **ppsResultSetReference, struct ResultSetReference* resultSetReference, jmp_buf env);
void DBVsnacc_to_dbv_DbvResultSetReference(DbvResultSetReference *psResultSetReference, struct ResultSetReference* resultSetReference, jmp_buf env);



void DBVsnacc_to_dbv_list_opt(void ***dbv_list, AsnList *snacclist, long dbvnodesize, jmp_buf env, void (*node_func) (void *, void *, jmp_buf));
void DBVsnacc_to_dbv_list(void **dbv_list, AsnList *snacclist, long dbvnodesize, jmp_buf env, void (*node_func) (void *, void *, jmp_buf));



void DBVsnacc_to_dbv_DbvRange(DbvRange *psAdditionalRanges, Range *data_ptr, jmp_buf env);
void DBVsnacc_to_dbv_DbvRecordComposition_opt(DbvRecordComposition **ppsRecordComposition, struct ResultSetReferenceChoice* recordComposition, jmp_buf env);
void DBVsnacc_to_dbv_DbvAddress(DbvAddress *psAddress, struct Address* address, jmp_buf env);
void DBVsnacc_to_dbv_DbvAccessionReference_comp(DbvAccessionReference **ppsAccessionReference, struct AccessionReference* accessionReference, jmp_buf env);
void DBVsnacc_to_dbv_DbvAccessionReference(DbvAccessionReference *psAccessionReference, struct AccessionReference* accessionReference, jmp_buf env);
void DBVsnacc_to_dbv_DbvDeleteOption_comp(DbvDeleteOption **ppsDeleteOption, struct DeleteOption* deleteOption, jmp_buf env);
void DBVsnacc_to_dbv_DbvDeleteOption(DbvDeleteOption *psDeleteOption, struct DeleteOption* deleteOption, jmp_buf env);
void DBVsnacc_to_dbv_DbvPrintTaskPackage_comp(DbvPrintTaskPackage **ppsPrintResponse, struct PrintSeq1* taskPackage, jmp_buf env);
void DBVsnacc_to_dbv_DbvPrintTaskPackage(DbvPrintTaskPackage *psPrintResponse, struct PrintSeq1* taskPackage, jmp_buf env);
void DBVsnacc_to_dbv_DbvPrintTargetPartToKeep(DbvPrintTargetPartToKeep *psTargetPart, struct TargetPart9* targetPart, jmp_buf env);
int DBVdbv_to_snacc_DbvAlertExtendedService_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
void DBVdbv_to_snacc_DbvAlertExtendedService_main(Alert *alert_ptr, DbvAlertExtendedService *psAlertExtendedService, jmp_buf env);
void DBVdbv_to_snacc_DbvAlertRequestPackage_comp(struct AlertSeq **esrequest, DbvAlertRequestPackage *psAlertRequest, jmp_buf env);
void DBVdbv_to_snacc_DbvAlertRequestPackage(struct AlertSeq* esrequest, DbvAlertRequestPackage *psAlertRequest, jmp_buf env);
void DBVdbv_to_snacc_DbvAlertOriginPartToKeep_opt(struct OriginPartToKeep10** originPart, DbvAlertOriginPartToKeep *psOriginPartToKeep, jmp_buf env);
void DBVdbv_to_snacc_DbvAlertOriginPartToKeep(struct OriginPartToKeep10* originPart, DbvAlertOriginPartToKeep *psOriginPartToKeep, jmp_buf env);
void DBVdbv_to_snacc_DbvAddress_opt(struct Address** address, DbvAddress *psAddress, jmp_buf env);
void DBVdbv_to_snacc_DbvAlertTaskPackage_comp(struct AlertSeq1 **taskPackage, DbvAlertTaskPackage *psAlertResponse, jmp_buf env);
void DBVdbv_to_snacc_DbvAlertTaskPackage(struct AlertSeq1* taskPackage, DbvAlertTaskPackage *psAlertResponse, jmp_buf env);
void DBVsnacc_to_dbv_DbvAlertExtendedService_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
void DBVsnacc_to_dbv_DbvAlertExtendedService_main(DbvAlertExtendedService *psAlertExtendedService, Alert *alert_ptr, jmp_buf env);
void DBVsnacc_to_dbv_DbvAlertRequestPackage_comp(DbvAlertRequestPackage **ppsAlertRequest, struct AlertSeq* esrequest, jmp_buf env);
void DBVsnacc_to_dbv_DbvAlertRequestPackage(DbvAlertRequestPackage *psAlertRequest, struct AlertSeq* esrequest, jmp_buf env);
void DBVsnacc_to_dbv_DbvAlertOriginPartToKeep_opt(DbvAlertOriginPartToKeep **ppsOriginPartToKeep, struct OriginPartToKeep10* esrequest, jmp_buf env);
void DBVsnacc_to_dbv_DbvAlertOriginPartToKeep(DbvAlertOriginPartToKeep *psOriginPartToKeep, struct OriginPartToKeep10* originPart, jmp_buf env);
void DBVsnacc_to_dbv_DbvAddress_opt(DbvAddress **ppsAddress, struct Address* address, jmp_buf env);
void DBVsnacc_to_dbv_DbvAlertTaskPackage_comp(DbvAlertTaskPackage **ppsAlertResponse, struct AlertSeq1* taskPackage, jmp_buf env);
void DBVsnacc_to_dbv_DbvAlertTaskPackage(DbvAlertTaskPackage *psAlertResponse, struct AlertSeq1* taskPackage, jmp_buf env);
int DBVdbv_to_snacc_DbvCOrder_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
void DBVdbv_to_snacc_DbvCOrder_main(Corder *corder_ptr, DbvCOrder *psCOrder, jmp_buf env);
void DBVdbv_to_snacc_DbvOrderRequest_comp(struct OrderRequest **orderRequest, DbvOrderRequest *psOrderRequest, jmp_buf env);
void DBVdbv_to_snacc_DbvOrderRequest(struct OrderRequest *orderRequest, DbvOrderRequest *psOrderRequest, jmp_buf env);
void DBVdbv_to_snacc_DbvNormalOrder_comp(struct NormalOrder** normalOrder, DbvNormalOrder *psNormalOrder, jmp_buf env);
void DBVdbv_to_snacc_DbvNormalOrder(struct NormalOrder* normalOrder, DbvNormalOrder *psNormalOrder, jmp_buf env);
void DBVsnacc_to_dbv_DbvCOrder_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
void DBVsnacc_to_dbv_DbvCOrder_main(DbvCOrder *psCOrder, Corder *corder_ptr, jmp_buf env);
void DBVsnacc_to_dbv_DbvOrderRequest_comp(DbvOrderRequest **ppsOrderRequest, struct OrderRequest* orderRequest, jmp_buf env);
void DBVsnacc_to_dbv_DbvOrderRequest(DbvOrderRequest *psOrderRequest, struct OrderRequest* orderRequest, jmp_buf env);
void DBVsnacc_to_dbv_DbvNormalOrder_comp(DbvNormalOrder **ppsNormalOrder, struct NormalOrder* normalOrder, jmp_buf env);
void DBVsnacc_to_dbv_DbvNormalOrder(DbvNormalOrder *psNormalOrder, struct NormalOrder* normalOrder, jmp_buf env);



void DBVsnacc_to_dbv_list_comp(void ***dbv_list, AsnList *snacclist, long dbvnodesize, jmp_buf env, void (*node_func) (void *, void *, jmp_buf));
int DBVdbv_to_snacc_DbvCharSetAndLanguage_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
int DBVdbv_to_snacc_isoDbvCharSetAndLanguage_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
void DBVdbv_to_snacc_DbvCharSetAndLanguage_main(CharSetandLanguageNegotiation *charsetandlang_ptr, struct DbvCharSetAndLanguage *psCharSetAndLanguage, jmp_buf env);
void DBVdbv_to_snacc_DbvOriginProposal_comp(struct OriginProposal** proposal, DbvOriginProposal *psProposal, jmp_buf env);
void DBVdbv_to_snacc_DbvOriginProposal(struct OriginProposal* proposal, DbvOriginProposal *psProposal, jmp_buf env);
void DBVdbv_to_snacc_DbvProposedCharSet(OriginProposalSeqOfChoice *proposedCharSets, DbvProposedCharSet *psProposedCharSets, jmp_buf env);
void DBVdbv_to_snacc_DbvIso2022_comp(struct Iso2022** iso2022, DbvIso2022 *psIso2022, jmp_buf env);
void DBVdbv_to_snacc_DbvIso2022(struct Iso2022* iso2022, DbvIso2022 *psIso2022, jmp_buf env);
void DBVdbv_to_snacc_DbvIso2022Proposal_comp(struct Iso2022Seq** originProposal, DbvIso2022Proposal *psOriginProposal, jmp_buf env);
void DBVdbv_to_snacc_DbvIso2022Proposal(struct Iso2022Seq* originProposal, DbvIso2022Proposal *psOriginProposal, jmp_buf env);
void DBVdbv_to_snacc_DbvEnvironment_opt(struct Environment** proposedEnvironment, DbvEnvironment *psProposedEnvironment, jmp_buf env);
void DBVdbv_to_snacc_DbvEnvironment(struct Environment* proposedEnvironment, DbvEnvironment *psEnvironment, jmp_buf env);
void DBVdbv_to_snacc_DbvInitialSet(struct InitialSet* proposedInitialSets, DbvInitialSet *psProposedInitialSets, jmp_buf env);
void DBVdbv_to_snacc_DbvLeftAndRight_comp(struct LeftAndRight** proposedLeftAndRight, DbvLeftAndRight *psProposedLeftAndRight, jmp_buf env);
void DBVdbv_to_snacc_DbvLeftAndRight(struct LeftAndRight* proposedLeftAndRight, DbvLeftAndRight *psProposedLeftAndRight, jmp_buf env);
void DBVdbv_to_snacc_DbvIso2022Response_comp(struct Iso2022Seq1** targetResponse, DbvIso2022Response *psTargetResponse, jmp_buf env);
void DBVdbv_to_snacc_DbvIso2022Response(struct Iso2022Seq1* targetResponse, DbvIso2022Response *psTargetResponse, jmp_buf env);
void DBVdbv_to_snacc_DbvEnvironment_comp(struct Environment** selectedEnvironment, DbvEnvironment *psSelectedEnvironment, jmp_buf env);
void DBVdbv_to_snacc_DbvInitialSet_comp(struct InitialSet** selectedinitialSet, DbvInitialSet *psSelectedInitialSet, jmp_buf env);
void DBVdbv_to_snacc_DbvIso10646_comp(struct Iso10646** iso10646, DbvIso10646 *psIso10646, jmp_buf env);
void DBVdbv_to_snacc_DbvIso10646(struct Iso10646* iso10646, DbvIso10646 *psIso10646, jmp_buf env);
void DBVdbv_to_snacc_DbvPrivateCharacterSet_comp(struct PrivateCharacterSet** private, DbvPrivateCharacterSet *psPrivate, jmp_buf env);
void DBVdbv_to_snacc_DbvPrivateCharacterSet(struct PrivateCharacterSet* private, DbvPrivateCharacterSet *psPrivate, jmp_buf env);
void DBVdbv_to_snacc_DbvLanguageCode(LanguageCode *proposedlanguages, DbvLanguageCode *psProposedLangauages, jmp_buf env);
void DBVdbv_to_snacc_DbvTargetResponse_comp(struct TargetResponse** response, DbvTargetResponse *psResponse, jmp_buf env);
void DBVdbv_to_snacc_DbvTargetResponse(struct TargetResponse* response, DbvTargetResponse *psResponse, jmp_buf env);
void DBVdbv_to_snacc_DbvSelectedCharSet_opt(struct TargetResponseChoice** selectedCharSets, DbvSelectedCharSet *psSelectedCharSets, jmp_buf env);
void DBVdbv_to_snacc_DbvSelectedCharSet(struct TargetResponseChoice* selectedCharSets, DbvSelectedCharSet *psSelectedCharSets, jmp_buf env);
void DBVsnacc_to_dbv_DbvCharSetAndLanguage_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
void DBVsnacc_to_dbv_isoDbvCharSetAndLanguage_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
void DBVsnacc_to_dbv_DbvCharSetAndLanguage_main(struct DbvCharSetAndLanguage *psCharSetAndLanguage, CharSetandLanguageNegotiation *charsetandlang_ptr, jmp_buf env);
void DBVsnacc_to_dbv_DbvOriginProposal_comp(DbvOriginProposal **ppsProposal, struct OriginProposal* proposal, jmp_buf env);
void DBVsnacc_to_dbv_DbvOriginProposal(DbvOriginProposal *psProposal, struct OriginProposal* proposal, jmp_buf env);
void DBVsnacc_to_dbv_DbvProposedCharSet(DbvProposedCharSet *psProposedCharSets, struct OriginProposalSeqOfChoice* proposal, jmp_buf env);
void DBVsnacc_to_dbv_DbvIso2022_comp(DbvIso2022 **ppsIso2022, struct Iso2022* iso2022, jmp_buf env);
void DBVsnacc_to_dbv_DbvIso2022(DbvIso2022 *psIso2022, struct Iso2022* iso2022, jmp_buf env);
void DBVsnacc_to_dbv_DbvIso2022Proposal_comp(DbvIso2022Proposal **ppsOriginProposal, struct Iso2022Seq* originProposal, jmp_buf env);
void DBVsnacc_to_dbv_DbvIso2022Proposal(DbvIso2022Proposal *psOriginProposal, struct Iso2022Seq* originProposal, jmp_buf env);
void DBVsnacc_to_dbv_DbvEnvironment_opt(DbvEnvironment **ppsProposedEnvironment, struct Environment* proposedEnvironment, jmp_buf env);
void DBVsnacc_to_dbv_DbvEnvironment(DbvEnvironment *psProposedEnvironment, struct Environment* proposedEnvironment, jmp_buf env);
void DBVsnacc_to_dbv_DbvInitialSet(DbvInitialSet *psProposedInitialSets, struct InitialSet* proposedInitialSets, jmp_buf env);
void DBVsnacc_to_dbv_DbvLeftAndRight_comp(DbvLeftAndRight **ppsProposedLeftAndRight, struct LeftAndRight* proposedLeftAndRight, jmp_buf env);
void DBVsnacc_to_dbv_DbvLeftAndRight(DbvLeftAndRight *psProposedLeftAndRight, struct LeftAndRight* proposedLeftAndRight, jmp_buf env);
void DBVsnacc_to_dbv_DbvIso2022Response_comp(DbvIso2022Response **ppsTargetResponse, struct Iso2022Seq1* targetResponse, jmp_buf env);
void DBVsnacc_to_dbv_DbvIso2022Response(DbvIso2022Response *psTargetResponse, struct Iso2022Seq1* targetResponse, jmp_buf env);
void DBVsnacc_to_dbv_DbvEnvironment_comp(DbvEnvironment **ppSelectedEnvironment, struct Environment* selectedEnvironment, jmp_buf env);
void DBVsnacc_to_dbv_DbvInitialSet_comp(DbvInitialSet **ppsSelectedInitialSet, struct InitialSet* selectedinitialSet, jmp_buf env);
void DBVsnacc_to_dbv_DbvIso10646_comp(DbvIso10646 **ppsIso10646, struct Iso10646* iso10646, jmp_buf env);
void DBVsnacc_to_dbv_DbvIso10646(DbvIso10646 *psIso10646, struct Iso10646* iso10646, jmp_buf env);
void DBVsnacc_to_dbv_DbvPrivateCharacterSet_comp(DbvPrivateCharacterSet **ppsPrivate, struct PrivateCharacterSet* private, jmp_buf env);
void DBVsnacc_to_dbv_DbvPrivateCharacterSet(DbvPrivateCharacterSet *psPrivate, struct PrivateCharacterSet* private, jmp_buf env);
void DBVsnacc_to_dbv_DbvLanguageCode(DbvLanguageCode *psProposedLangauages, LanguageCode* proposedlanguages, jmp_buf env);
void DBVsnacc_to_dbv_DbvTargetResponse_comp(DbvTargetResponse **ppsResponse, struct TargetResponse* response, jmp_buf env);
void DBVsnacc_to_dbv_DbvTargetResponse(DbvTargetResponse *psResponse, struct TargetResponse* response, jmp_buf env);
void DBVsnacc_to_dbv_DbvSelectedCharSet_opt(DbvSelectedCharSet **ppsSelectedCharSets, struct TargetResponseChoice* selectedCharSets, jmp_buf env);
void DBVsnacc_to_dbv_DbvSelectedCharSet(DbvSelectedCharSet *psSelectedCharSets, struct TargetResponseChoice* selectedCharSets, jmp_buf env);



void DBVdbv_to_snacc_DbvExpSpecExtendedService_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
void DBVdbv_to_snacc_isoDbvExpSpecExtendedService_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
void DBVdbv_to_snacc_DbvExpSpecExtendedService_main(ExportSpecification *exportspec_ptr, DbvExpSpecExtendedService *psExpSpecExtendedService, jmp_buf env);
void DBVdbv_to_snacc_DbvExpSpecRequestPackage_comp(struct ExportSpecificationSeq** esRequest, DbvExpSpecRequestPackage *psExpSpecRequest, jmp_buf env);
void DBVdbv_to_snacc_DbvExpSpecRequestPackage(struct ExportSpecificationSeq* esRequest, DbvExpSpecRequestPackage *psExpSpecRequest, jmp_buf env);
void DBVdbv_to_snacc_DbvExpSpecOriginPartToKeep_comp(struct OriginPartToKeep6** tokeep, DbvExpSpecOriginPartToKeep *psToKeep, jmp_buf env);
void DBVdbv_to_snacc_DbvExpSpecOriginPartToKeep(struct OriginPartToKeep6* tokeep, DbvExpSpecOriginPartToKeep *psToKeep, jmp_buf env);
void DBVdbv_to_snacc_DbvDestination_comp(struct Destination** exportDestination, DbvDestination *psExportDestination, jmp_buf env);
void DBVdbv_to_snacc_DbvDestination(struct Destination* exportDestination, DbvDestination *psExportDestination, jmp_buf env);
void DBVdbv_to_snacc_DbvOther_comp(struct DestinationSeq** other, DbvOther *psOther, jmp_buf env);
void DBVdbv_to_snacc_DbvOther(struct DestinationSeq* other, DbvOther *psOther, jmp_buf env);
void DBVdbv_to_snacc_DbvExpSpecTaskPackage_comp(struct ExportSpecificationSeq1** taskPackage, DbvExpSpecTaskPackage *psExpSpecResponse, jmp_buf env);
void DBVdbv_to_snacc_DbvExpSpecTaskPackage(struct ExportSpecificationSeq1* taskPackage, DbvExpSpecTaskPackage *psExpSpecResponse, jmp_buf env);
void DBVsnacc_to_dbv_DbvExpSpecExtendedService_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
void DBVsnacc_to_dbv_isoDbvExpSpecExtendedService_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
void DBVsnacc_to_dbv_DbvExpSpecExtendedService_main(struct DbvExpSpecExtendedService *psExpSpecExtendedService, ExportSpecification *exportspec_ptr, jmp_buf env);
void DBVsnacc_to_dbv_DbvExpSpecRequestPackage_comp(DbvExpSpecRequestPackage **ppsExpSpecRequest, struct ExportSpecificationSeq* esRequest, jmp_buf env);
void DBVsnacc_to_dbv_DbvExpSpecRequestPackage(DbvExpSpecRequestPackage *psExpSpecRequest, struct ExportSpecificationSeq* esRequest, jmp_buf env);
void DBVsnacc_to_dbv_DbvExpSpecOriginPartToKeep(DbvExpSpecOriginPartToKeep *psToKeep, struct OriginPartToKeep6* toKeep, jmp_buf env);
void DBVsnacc_to_dbv_DbvDestination(DbvDestination *psExportDestination, struct Destination* exportDestination, jmp_buf env);
void DBVsnacc_to_dbv_DbvOther_comp(DbvOther **ppsOther, struct DestinationSeq* other, jmp_buf env);
void DBVsnacc_to_dbv_DbvOther(DbvOther *psOther, struct DestinationSeq* other, jmp_buf env);
void DBVsnacc_to_dbv_DbvExpSpecTaskPackage_comp(DbvExpSpecTaskPackage **ppsExpSpecResponse, struct ExportSpecificationSeq1* taskPackage, jmp_buf env);
void DBVsnacc_to_dbv_DbvExpSpecTaskPackage(DbvExpSpecTaskPackage *psExpSpecResponse, struct ExportSpecificationSeq1* taskPackage, jmp_buf env);
void DBVdbv_to_snacc_DbvExpInvoExtendedService_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
void DBVdbv_to_snacc_isoDbvExpInvoExtendedService_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
void DBVdbv_to_snacc_DbvExpInvoExtendedService_main(ExportInvocation *exportinvoc_ptr, DbvExpInvoExtendedService *psExpInvoExtendedService, jmp_buf env);
void DBVdbv_to_snacc_DbvExpInvoRequestPackage_comp(struct ExportInvocationSeq** esRequest, DbvExpInvoRequestPackage *psExpInvoRequest, jmp_buf env);
void DBVdbv_to_snacc_DbvExpInvoRequestPackage(struct ExportInvocationSeq* esRequest, DbvExpInvoRequestPackage *psExpInvoRequest, jmp_buf env);
void DBVdbv_to_snacc_DbvExpInvoOriginPartToKeep_comp(struct OriginPartToKeep7** tokeep, DbvExpInvoOriginPartToKeep *psToKeep, jmp_buf env);
void DBVdbv_to_snacc_DbvExpInvoOriginPartToKeep(struct OriginPartToKeep7* tokeep, DbvExpInvoOriginPartToKeep *psToKeep, jmp_buf env);
void DBVdbv_to_snacc_DbvExpInvoOriginPartToKeepChoice_comp(struct OriginPartToKeep7Choice** exportSpec, DbvExpInvoOriginPartToKeepChoice *psExportSpec, jmp_buf env);
void DBVdbv_to_snacc_DbvExpInvoOriginPartToKeepChoice(struct OriginPartToKeep7Choice* exportSpec, DbvExpInvoOriginPartToKeepChoice *psExportSpec, jmp_buf env);
void DBVdbv_to_snacc_DbvExpSpecExtendedService_comp(struct ExportSpecification** packageName, DbvExpSpecExtendedService *psPackageName, jmp_buf env);
void DBVdbv_to_snacc_DbvExpInvoOriginPartNotToKeep_comp(struct OriginPartNotToKeep7** notToKeep, DbvExpInvoOriginPartNotToKeep *psNotToKeep, jmp_buf env);
void DBVdbv_to_snacc_DbvExpInvoOriginPartNotToKeep(struct OriginPartNotToKeep7* notToKeep, DbvExpInvoOriginPartNotToKeep *psNotToKeep, jmp_buf env);
void DBVdbv_to_snacc_DbvExpInvoRecords_comp(struct OriginPartNotToKeep7Choice** records, DbvExpInvoRecords *psRecords, jmp_buf env);
void DBVdbv_to_snacc_DbvExpInvoRecords(struct OriginPartNotToKeep7Choice* records, DbvExpInvoRecords *psRecords, jmp_buf env);
void DBVdbv_to_snacc_DbvRanges(struct OriginPartNotToKeep7ChoiceSeqOfSeq* ranges, DbvRanges *psRanges, jmp_buf env);
void DBVdbv_to_snacc_DbvExpInvoTaskPackage_comp(struct ExportInvocationSeq1** taskPackage, DbvExpInvoTaskPackage *psExpInvoResponse, jmp_buf env);
void DBVdbv_to_snacc_DbvExpInvoTaskPackage(struct ExportInvocationSeq1* taskPackage, DbvExpInvoTaskPackage *psExpInvoResponse, jmp_buf env);
void DBVdbv_to_snacc_DbvExpInvoTargetPart_opt(struct TargetPart7** targetPart, DbvExpInvoTargetPart *psTargetPart, jmp_buf env);
void DBVdbv_to_snacc_DbvExpInvoTargetPart(struct TargetPart7* targetPart, DbvExpInvoTargetPart *psTargetPart, jmp_buf env);
void DBVsnacc_to_dbv_DbvExpInvoExtendedService_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
void DBVsnacc_to_dbv_isoDbvExpInvoExtendedService_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
void DBVsnacc_to_dbv_DbvExpInvoExtendedService_main(struct DbvExpInvoExtendedService *psExpInvoExtendedService, ExportInvocation *exportinvoc_ptr, jmp_buf env);
void DBVsnacc_to_dbv_DbvExpInvoExtendedService_comp(DbvExpInvoRequestPackage **ppsExpInvoRequest, struct ExportInvocationSeq* esRequest, jmp_buf env);
void DBVsnacc_to_dbv_DbvExpInvoExtendedService(DbvExpInvoRequestPackage *psExpInvoRequest, struct ExportInvocationSeq* esRequest, jmp_buf env);
void DBVsnacc_to_dbv_DbvExpInvoOriginPartToKeep(DbvExpInvoOriginPartToKeep *psToKeep, struct OriginPartToKeep7* toKeep, jmp_buf env);
void DBVsnacc_to_dbv_DbvExpInvoOriginPartToKeepChoice(DbvExpInvoOriginPartToKeepChoice *psExportSpec, struct OriginPartToKeep7Choice* exportSpec, jmp_buf env);
void DBVsnacc_to_dbv_DbvExpSpecExtendedService_comp(DbvExpSpecExtendedService **ppsPackageSpec, struct ExportSpecification* packageSpec, jmp_buf env);
void DBVsnacc_to_dbv_DbvExpInvoOriginPartNotToKeep(DbvExpInvoOriginPartNotToKeep *psNotToKeep, struct OriginPartNotToKeep7* notToKeep, jmp_buf env);
void DBVsnacc_to_dbv_DbvExpInvoRecords(DbvExpInvoRecords *psRecords, struct OriginPartNotToKeep7Choice* resultSetId, jmp_buf env);
void DBVsnacc_to_dbv_DbvRanges(DbvRanges *psRanges, OriginPartNotToKeep7ChoiceSeqOfSeq *ranges, jmp_buf env);
void DBVsnacc_to_dbv_DbvExpInvoTaskPackage_comp(DbvExpInvoTaskPackage **ppsExpInvoResponse, struct ExportInvocationSeq1* taskPackage, jmp_buf env);
void DBVsnacc_to_dbv_DbvExpInvoTaskPackage(DbvExpInvoTaskPackage *psExpInvoResponse, struct ExportInvocationSeq1* taskPackage, jmp_buf env);
void DBVsnacc_to_dbv_DbvExpInvoTargetPart(DbvExpInvoTargetPart *psTargetPart, struct TargetPart7* targetPart, jmp_buf env);
int DBVdbv_to_snacc_DbvUserInfoSearchResult1_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
void DBVdbv_to_snacc_isoDbvUserInfoSearchResult1_any(AsnAnyDefinedBy *any_type, DbvASN1External *dbv_external, jmp_buf env);
void DBVdbv_to_snacc_DbvUserInfoSearchResult1_main(UserInfoSearchResult1 *userinfosearchresult1_ptr, DbvUserInfoSearchResult1 *psUserInfoSearchResult, jmp_buf env);
void DBVdbv_to_snacc_DbvSearchInfoReport(SearchInfoReport *johnfix, DbvSearchInfoReport *psSearchInfoReport, jmp_buf env);
void DBVdbv_to_snacc_DbvQueryExpression_opt(struct QueryExpression** subqueryExpression, DbvQueryExpression *psSubqueryExpression, jmp_buf env);
void DBVdbv_to_snacc_DbvQueryExpression(struct QueryExpression* subqueryExpression, DbvQueryExpression *psSubqueryExpression, jmp_buf env);
void DBVdbv_to_snacc_DbvQueryExpressionSeq_comp(struct QueryExpressionSeq** term, DbvQueryExpressionSeq *psTerm, jmp_buf env);
void DBVdbv_to_snacc_DbvQueryExpressionSeq(struct QueryExpressionSeq* term, DbvQueryExpressionSeq *psTerm, jmp_buf env);
void DBVdbv_to_snacc_DbvResultsByDB(ResultsByDBSeq *resultsByDB, DbvResultsByDB *psresultsByDB, jmp_buf env);
void DBVdbv_to_snacc_DbvResultsByDBChoice_comp(struct ResultsByDBSeqChoice** databases, DbvResultsByDBChoice *psDatabases, jmp_buf env);
void DBVdbv_to_snacc_DbvResultsByDBChoice(struct ResultsByDBSeqChoice* databases, DbvResultsByDBChoice *psDatabases, jmp_buf env);
void DBVsnacc_to_dbv_DbvUserInfoSearchResult1_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
void DBVsnacc_to_dbv_isoDbvUserInfoSearchResult1_any(DbvSingleASN1Type *psSingleASN1Type, AsnAnyDefinedBy *any_type, jmp_buf env);
void DBVsnacc_to_dbv_DbvUserInfoSearchResult1_main(struct DbvUserInfoSearchResult1 *psUserInfoSearchResult1, UserInfoSearchResult1 *userinfosearchresult1_ptr, jmp_buf env);
void DBVsnacc_to_dbv_DbvSearchInfoReport(struct DbvSearchInfoReport *psSearchInfoReport, SearchInfoReport *johnfix, jmp_buf env);
void DBVsnacc_to_dbv_DbvQueryExpression_opt(DbvQueryExpression **ppsSubqueryExpression, struct QueryExpression* subqueryExpression, jmp_buf env);
void DBVsnacc_to_dbv_DbvQueryExpression(DbvQueryExpression *psSubqueryExpression, struct QueryExpression* subqueryExpression, jmp_buf env);
void DBVsnacc_to_dbv_DbvQueryExpressionSeq_comp(DbvQueryExpressionSeq **ppsTerm, struct QueryExpressionSeq* term, jmp_buf env);
void DBVsnacc_to_dbv_DbvQueryExpressionSeq(DbvQueryExpressionSeq *psTerm, struct QueryExpressionSeq* term, jmp_buf env);
void DBVsnacc_to_dbv_DbvResultsByDB(DbvResultsByDB *psresultsByDB, ResultsByDBSeq* resultsByDB, jmp_buf env);
void DBVsnacc_to_dbv_DbvResultsByDBChoice(DbvResultsByDBChoice *psDatabases, struct ResultsByDBSeqChoice* databases, jmp_buf env);



int DBVcheck_at_DbvPromptObject(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPromptObject(DbvAssocId lAssocId, struct DbvPromptObject *psPromptObject, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvChallenge(DbvAssocId lAssocId, DbvChallenge *psChallenge, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPromptId(DbvAssocId lAssocId, DbvPromptId *psPromptId, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvEnumeratedPrompt(DbvAssocId lAssocId, DbvEnumeratedPrompt *psEnumeratedPrompt, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPromptInfo_opt(DbvAssocId lAssocId, DbvPromptInfo *psPromptInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPromptInfo(DbvAssocId lAssocId, DbvPromptInfo *psPromptInfo, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvEncryption(DbvAssocId lAssocId, DbvEncryption *psEncrypted, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvDataType_opt(DbvAssocId lAssocId, DbvDataType *peDataType, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvDataType(DbvAssocId lAssocId, DbvDataType *peDataType, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvResponse(DbvAssocId lAssocId, DbvResponse *psResponse, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPromptResponse(DbvAssocId lAssocId, DbvPromptResponse *psPromptResponse, char *error_buffer, DbvError **ppsSIError);



int DBVcheck_at_DbvPrintExtendedService(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPrintExtendedService(DbvAssocId lAssocId, DbvPrintExtendedService *psPrintExtendedService, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPrintRequestPackage(DbvAssocId lAssocId, DbvPrintRequestPackage *psPrintRequest, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPrintOriginPartToKeep_opt(DbvAssocId lAssocId, DbvPrintOriginPartToKeep *psOriginPartToKeep, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPrintOriginPartToKeep(DbvAssocId lAssocId, DbvPrintOriginPartToKeep *psPrintOriginPartToKeep, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvCreateOption(DbvAssocId lAssocId, DbvCreateOption *psCreateOption, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvResultSetReference(DbvAssocId lAssocId, DbvResultSetReference *psResultSetReference, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvDeleteOption(DbvAssocId lAssocId, DbvDeleteOption *psDeleteOption, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAccessionReference(DbvAssocId lAssocId, DbvAccessionReference *psAccessionReference, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAddress(DbvAssocId lAssocId, DbvAddress *psAddress, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPrintTaskPackage(DbvAssocId lAssocId, DbvPrintTaskPackage *psPrintResponse, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_at_DbvAlertExtendedService(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAlertExtendedService(DbvAssocId lAssocId, DbvAlertExtendedService *psAlertExtendedService, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAlertRequestPackage(DbvAssocId lAssocId, DbvAlertRequestPackage *psAlertRequest, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAlertOriginPartToKeep_opt(DbvAssocId lAssocId, DbvAlertOriginPartToKeep *psOriginPartToKeep, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAlertOriginPartToKeep(DbvAssocId lAssocId, DbvAlertOriginPartToKeep *psOriginPartToKeep, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAddress_opt(DbvAssocId lAssocId, DbvAddress *psAddress, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvAlertTaskPackage(DbvAssocId lAssocId, DbvAlertTaskPackage *psAlertResponse, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_at_DbvCOrder(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvCOrder(DbvAssocId lAssocId, DbvCOrder *psCOrder, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvOrderRequest(DbvAssocId lAssocId, DbvOrderRequest *psOrderRequest, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvNormalOrder(DbvAssocId lAssocId, DbvNormalOrder *psNormalOrder, char *error_buffer, DbvError **ppsSIError);



int DBVcheck_at_DbvCharSetAndLanguage(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvCharSetAndLanguage(DbvAssocId lAssocId, struct DbvCharSetAndLanguage *psCharSetAndLanguage, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvOriginProposal(DbvAssocId lAssocId, DbvOriginProposal *psProposal, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvProposedCharSet(DbvAssocId lAssocId, DbvProposedCharSet *psProposedCharSets, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvIso2022(DbvAssocId lAssocId, DbvIso2022 *psIso2022, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvIso2022Proposal(DbvAssocId lAssocId, DbvIso2022Proposal *psOriginProposal, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvEnvironment(DbvAssocId lAssocId, DbvEnvironment *psProposedEnvironment, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvLeftAndRight(DbvAssocId lAssocId, DbvLeftAndRight *psProposedLeftAndRight, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvIso2022Response(DbvAssocId lAssocId, DbvIso2022Response *psTargetResponse, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvIso10646(DbvAssocId lAssocId, DbvIso10646 *psIso10646, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvPrivateCharacterSet(DbvAssocId lAssocId, DbvPrivateCharacterSet *psPrivate, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvLanguageCode(DbvAssocId lAssocId, DbvLanguageCode *psProposedLangauages, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvTargetResponse(DbvAssocId lAssocId, DbvTargetResponse *psResponse, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvSelectedCharSet_opt(DbvAssocId lAssocId, DbvSelectedCharSet *psSelectedCharSets, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvSelectedCharSet(DbvAssocId lAssocId, DbvSelectedCharSet *psSelectedCharSets, char *error_buffer, DbvError **ppsSIError);



int DBVcheck_at_DbvExpSpecExtendedService(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvExpSpecExtendedService(DbvAssocId lAssocId, DbvExpSpecExtendedService *psExpSpecExtendedService, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvExpSpecRequestPackage(DbvAssocId lAssocId, DbvExpSpecRequestPackage *psExpSpecRequest, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvExpSpecOriginPartToKeep(DbvAssocId lAssocId, DbvExpSpecOriginPartToKeep *psOriginPart, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvDestination(DbvAssocId lAssocId, DbvDestination *psDestination, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvOther(DbvAssocId lAssocId, DbvOther *psOther, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvExpSpecTaskPackage(DbvAssocId lAssocId, DbvExpSpecTaskPackage *psExpSpecResponse, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_at_DbvExpInvoExtendedService(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvExpInvoExtendedService(DbvAssocId lAssocId, DbvExpInvoExtendedService *psExpInvoExtendedService, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvExpInvoRequestPackage(DbvAssocId lAssocId, DbvExpInvoRequestPackage *psExpInvoRequest, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvExpInvoOriginPartToKeep(DbvAssocId lAssocId, DbvExpInvoOriginPartToKeep *psToKeep, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvExpInvoOriginPartToKeepChoice(DbvAssocId lAssocId, DbvExpInvoOriginPartToKeepChoice *psExportSpec, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvExpInvoOriginPartNotToKeep(DbvAssocId lAssocId, DbvExpInvoOriginPartNotToKeep *psNotToKeep, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvExpInvoRecords(DbvAssocId lAssocId, DbvExpInvoRecords *psRecords, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvRanges(DbvAssocId lAssocId, DbvRanges *psRanges, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvExpInvoTaskPackage(DbvAssocId lAssocId, DbvExpInvoTaskPackage *psExpInvoResponse, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvExpInvoTargetPart_opt(DbvAssocId lAssocId, DbvExpInvoTargetPart *psTargetPart, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvExpInvoTargetPart(DbvAssocId lAssocId, DbvExpInvoTargetPart *psTargetPart, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_at_DbvUserInfoSearchResult1(DbvAssocId lAssocId, DbvSingleASN1Type *psSingleASN1Type, char *oid, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvUserInfoSearchResult1(DbvAssocId lAssocId, DbvUserInfoSearchResult1 *psUserInfoSearchResult1, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvSearchInfoReport(DbvAssocId lAssocId, DbvSearchInfoReport *psSearchInfoReport, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvQueryExpression_opt(DbvAssocId lAssocId, DbvQueryExpression *psSubqueryExpression, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvQueryExpression(DbvAssocId lAssocId, DbvQueryExpression *psSubqueryExpression, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvQueryExpressionSeq(DbvAssocId lAssocId, DbvQueryExpressionSeq *psTerm, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvResultsByDB(DbvAssocId lAssocId, DbvResultsByDB *psresultsByDB, char *error_buffer, DbvError **ppsSIError);
int DBVcheck_DbvResultsByDBSeqChoice(DbvAssocId lAssocId, DbvResultsByDBChoice *psDatabases, char *error_buffer, DbvError **ppsSIError);






#endif



