/*  Module Name: @(#)z3950_pdu_print2.h	1.2
    Version: 1/20/98
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description:
	

 
*/

#ifndef z3950_pdu_print_h
#define z3950_pdu_print_h 


#include "z3950_includes.h"


int 
DBVprint_explain_external (FILE * f, DbvASN1External * external_ptr);
void 
DBVprint_DbvTargetInfo (FILE * f, DbvTargetInfo * psTargetInfo);
void
DBVprint_Ulong (FILE * f, char *name, Ulong * pulMaxResultSets);
void 
DBVprint_DbvCommonInfo (FILE * f, char *name, DbvCommonInfo * psCommonInfo);
void 
DBVprint_DbvGeneralizedTime (FILE * f, char *name, DbvGeneralizedTime psGeneralizedTime);
void 
DBVprint_DbvLanguageCode (FILE * f, char *name, DbvLanguageCode * psLanguageCode);
void 
DBVprintN_DbvHumanString (FILE * f, char *name,
			  DbvHumanString ** ppsHumanString);
void 
DBVprint_DbvHumanString (FILE * f, char *name, DbvHumanString * psHumanString);
void 
DBVprintN_DbvIconObject (FILE * f, char *name, DbvIconObject ** ppsIconObject);
void 
DBVprint_DbvIconObject (FILE * f, DbvIconObject * psIconObject);
void 
DBVprint_DbvBodyType (FILE * f, DbvBodyType * psBodyType);
void 
DBVprint_DbvBodyTypeType (FILE * f, DbvBodyTypeType * peBodyTypeType);
void 
DBVprint_DbvContactInfo (FILE * f, char *name, DbvContactInfo * psContactInfo);
void 
DBVprintN_DbvInternationalString (FILE * f, char *name, DbvInternationalString ** ppsInternationalString);
void 
DBVprintN_DbvDatabaseList (FILE * f, char *name, DbvDatabaseList ** ppsDbCombinations);
void 
DBVprint_DbvDatabaseList (FILE * f, char *name, DbvDatabaseList * psDbCombinations);
void 
DBVprintN_DbvNetworkAddress (FILE * f, char *name, DbvNetworkAddress ** ppsNetworkAddress);
void 
DBVprint_DbvNetworkAddress (FILE * f, char *name, DbvNetworkAddress * psNetworkAddress);
void 
DBVprint_DbvNetworkAddressType (FILE * f, DbvNetworkAddressType * peNetworkAddressType);
void 
DBVprint_DbvInterAddress (FILE * f, char *name, DbvInterAddress * psInterAddress);
void 
DBVprint_DbvOsiPresentationAddress (FILE * f, char *name, DbvOsiPresentationAddress * psOsiPresentationAddress);
void 
DBVprint_DbvOtherAddress (FILE * f, char *name, DbvOtherAddress * psOtherAddress);
void 
DBVprint_DbvAccessInfo (FILE * f, char *name, DbvAccessInfo * psAccessInfo);
void 
DBVprintN_DbvQueryTypeDetails (FILE * f, char *name, DbvQueryTypeDetails ** ppsQueryTypeDetails);
void 
DBVprint_DbvQueryTypeDetails (FILE * f, char *name,
			      DbvQueryTypeDetails * psQueryTypeDetails);
void 
DBVprint_DbvQueryTypeDetailsType (FILE * f, DbvQueryTypeDetailsType * peQueryTypeDetailsType);
void 
DBVprint_DbvPrivateCapabilities (FILE * f, DbvPrivateCapabilities * psPrivateCapabilities);
void 
DBVprintN_DbvOperators (FILE * f, DbvOperators ** ppsOperators);
void 
DBVprint_DbvOperators (FILE * f, DbvOperators * psOperators);
void 
DBVprintN_DbvSearchKey (FILE * f, DbvSearchKey ** ppsSearchKey);
void 
DBVprint_DbvSearchKey (FILE * f, DbvSearchKey * psSearchKey);
void 
DBVprintN_DbvHumanStringSeq (FILE * f, char *name, DbvHumanStringSeq ** ppsDescription);
void 
DBVprint_DbvHumanStringSeq (FILE * f, DbvHumanStringSeq * psHumanStringSeq);
void 
DBVprint_DbvRpnCapabilities (FILE * f, DbvRpnCapabilities * psRpnCapabilities);
void 
DBVprintN_Ulong (FILE * f, char *name, Ulong ** ppsUlong);
void 
DBVprint_DbvProximitySupport (FILE * f, DbvProximitySupport * psProximitySupport);
void 
DBVprintN_DbvUnitsSupported (FILE * f, DbvUnitsSupported ** ppsUnitsSupported);
void 
DBVprint_DbvUnitsSupported (FILE * f, DbvUnitsSupported * psUnitsSupported);
void 
DBVprint_DbvUnitsSupportedType (FILE * f, DbvUnitsSupportedType * peUnitsSupportedType);
void 
DBVprint_DbvPrivate (FILE * f, DbvPrivate * psPrivate);
void 
DBVprint_DbvIso8777Capabilities (FILE * f, DbvIso8777Capabilities * psIso8777Capabilities);
void 
DBVprintN_DbvObjectIdentifier (FILE * f, char *name, DbvObjectIdentifier * ppcObjectIdentifier);
void 
DBVprintN_DbvAccessRestrictions (FILE * f, DbvAccessRestrictions ** ppsAccessRestrictions);
void 
DBVprint_DbvAccessRestrictions (FILE * f, DbvAccessRestrictions * psAccessRestrictions);
void 
DBVprint_DbvAccessType (FILE * f, DbvAccessType * peAccessType);
void 
DBVprint_DbvCosts (FILE * f, DbvCosts * psCosts);
void 
DBVprint_DbvCharge (FILE * f, DbvCharge * psCharge);
void 
DBVprint_DbvUnit (FILE * f, char *name, DbvUnit * psPerWhat);
void 
DBVprintN_DbvOtherCharge (FILE * f, DbvOtherCharge ** ppsOtherCharge);
void 
DBVprint_DbvOtherCharge (FILE * f, DbvOtherCharge * psOtherCharge);
void 
DBVprint_DbvDatabaseInfo (FILE * f, DbvDatabaseInfo * psDatabaseInfo);
void 
DBVprint_DbvNull (FILE * f, char *name, DbvNull pvNull);
void 
DBVprintN_DbvDataBaseInfoSeq (FILE * f, char *name, DbvDataBaseInfoSeq ** ppsKeywords);
void 
DBVprint_DbvDataBaseInfoSeq (FILE * f, char *name, DbvDataBaseInfoSeq * psKeywords);
void 
DBVprint_DbvRecordCount (FILE * f, DbvRecordCount * psRecordCount);
void 
DBVprint_DbvRecordCountType (FILE * f, DbvRecordCountType * peRecordCountType);
void 
DBVprint_DbvSchemaInfo (FILE * f, DbvSchemaInfo * psSchemaInfo);
void 
DBVprint_DbvObjectIdentifier (FILE * f, char *name, DbvObjectIdentifier psObjectIdentifier);
void 
DBVprintN_DbvTagTypeMapping (FILE * f, char *name, DbvTagTypeMapping ** ppsTagTypeMapping);
void 
DBVprint_DbvTagTypeMapping (FILE * f, DbvTagTypeMapping * psTagTypeMapping);
void 
DBVprintN_DbvElementInfo (FILE * f, char *name, DbvElementInfo ** ppsElementInfo);
void 
DBVprint_DbvElementInfo (FILE * f, DbvElementInfo * psElementInfo);
void 
DBVprintN_DbvPath (FILE * f, DbvPath ** ppsPath);
void 
DBVprint_DbvPath (FILE * f, DbvPath * psPath);
void 
DBVprint_DbvElementDataType (FILE * f, DbvElementDataType * psElementDataType);
void 
DBVprint_DbvElementDataTypeType (FILE * f, DbvElementDataTypeType * peElementDataTypeType);
void 
DBVprint_DbvPrimitiveDataType (FILE * f, char *name, DbvPrimitiveDataType * pePrimitiveDataType);
void 
DBVprint_DbvPrimitiveDataTypeA (FILE * f, DbvPrimitiveDataType * pePrimitiveDataType);
void 
DBVprint_DbvTagSetInfo (FILE * f, DbvTagSetInfo * psTagSetInfo);
void 
DBVprintN_DbvElements (FILE * f, DbvElements ** ppsElements);
void 
DBVprint_DbvElements (FILE * f, DbvElements * psElements);
void 
DBVprint_DbvRecordSyntaxInfo (FILE * f, DbvRecordSyntaxInfo * psRecordSyntaxInfo);
void 
DBVprint_DbvAttributeSetInfo (FILE * f, DbvAttributeSetInfo * psAttributeSetInfo);
void 
DBVprintN_DbvAttributeType (FILE * f, DbvAttributeType ** ppsAttributeType);
void 
DBVprint_DbvAttributeType (FILE * f, DbvAttributeType * psAttributeType);
void 
DBVprintN_DbvAttributeDescription (FILE * f, DbvAttributeDescription ** ppsAttributeDescription);
void 
DBVprint_DbvAttributeDescription (FILE * f, DbvAttributeDescription * psAttributeDescription);
void 
DBVprintN_DbvStringOrNumeric (FILE * f, char *name, DbvStringOrNumeric ** ppsStringOrNumeric);
void 
DBVprint_DbvTermListInfo (FILE * f, DbvTermListInfo * psTermListInfo);
void 
DBVprintN_DbvTermList (FILE * f, DbvTermList ** ppsTermList);
void 
DBVprint_DbvTermList (FILE * f, DbvTermList * psTermList);
void 
DBVprint_DbvSearchCost (FILE * f, char *name, DbvSearchCost * peSearchCost);
void 
DBVprint_DbvSearchCostA (FILE * f, DbvSearchCost * peSearchCost);
void 
DBVprint_DbvExtendedServicesInfo (FILE * f, DbvExtendedServicesInfo * psExtendedServicesInfo);
void 
DBVprint_DbvExtendedServicesInfoInt (FILE * f,
		     DbvExtendedServicesInfoInt * peExtendedServicesInfoInt);
void 
DBVprint_DbvExtendedServicesInfoIntA (FILE * f, DbvExtendedServicesInfoInt * peExtendedServicesInfoInt);
void 
DBVprint_DbvAttributeDetails (FILE * f, DbvAttributeDetails * psAttributeDetails);
void 
DBVprintN_DbvAttributesBySet (FILE * f, DbvAttributesBySet ** ppsAttributesBySet);
void 
DBVprint_DbvAttributesBySet (FILE * f, DbvAttributesBySet * psAttributesBySet);
void 
DBVprintN_DbvAttributesByType (FILE * f, DbvAttributesByType ** ppsAttributesByType);
void 
DBVprint_DbvAttributesByType (FILE * f, DbvAttributesByType * psAttributesByType);
void 
DBVprint_DbvOmittedAttributeInterpretation (FILE * f, DbvOmittedAttributeInterpretation * psOmittedAttributeInterpretation);
void 
DBVprintN_DbvAttributeValues (FILE * f, DbvAttributeValues ** ppsAttributeValues);
void 
DBVprint_DbvAttributeValues (FILE * f, DbvAttributeValues * psAttributeValues);
void 
DBVprint_DbvTermListDetails (FILE * f, DbvTermListDetails * psTermListDetails);
void 
DBVprint_DbvAttributeCombinations (FILE * f, DbvAttributeCombinations * psAttributeCombinations);
void 
DBVprintN_DbvAttributeCombination (FILE * f, DbvAttributeCombination ** ppsLegalCombinations);
void 
DBVprint_DbvAttributeCombination (FILE * f, DbvAttributeCombination * psLegalCombinations);
void 
DBVprintN_DbvDbvAttributeOccurrence (FILE * f, DbvAttributeOccurrence ** ppsAttributeOccurrence);
void 
DBVprint_DbvDbvAttributeOccurrence (FILE * f, DbvAttributeOccurrence * psAttributeOccurrence);
void 
DBVprint_DbvAttributeOccurrenceChoice (FILE * f, DbvAttributeOccurrenceChoice * psAttributeOccurrenceChoice);
void 
DBVprint_DbvAttributeOccurrenceChoiceType (FILE * f, DbvAttributeOccurrenceChoiceType * peAttributeOccurrenceChoiceType);
void 
DBVprint_DbvScanInfo (FILE * f, DbvScanInfo * psScanInfo);
void 
DBVprintN_DbvTerm (FILE * f, char *name, DbvTerm ** ppsTerm);
void 
DBVprint_DbvTerm (FILE * f, char *name, DbvTerm * psTerm);
void 
DBVprint_DbvTermType (FILE * f, DbvTermType * peTermType);
void 
DBVprint_DbvElementSetDetails (FILE * f, DbvElementSetDetails * psElementSetDetails);
void 
DBVprintN_DbvDetailsPerElement (FILE * f, DbvDetailsPerElement ** ppsDetailsPerElement);
void 
DBVprint_DbvDetailsPerElement (FILE * f, DbvDetailsPerElement * psDetailsPerElement);
void 
DBVprint_DbvRecordTag (FILE * f, DbvRecordTag * psRecordTag);
void 
DBVprintN_DbvPathA (FILE * f, DbvPathA ** ppsPathA);
void 
DBVprint_DbvRetrievalRecordDetails (FILE * f, DbvRetrievalRecordDetails * psRetrievalRecordDetails);
void 
DBVprint_DbvSortDetails (FILE * f, DbvSortDetails * psSortDetails);
void 
DBVprintN_DbvSortKeys (FILE * f, DbvSortKeys ** ppsSortKeys);
void 
DBVprint_DbvSortKeys (FILE * f, DbvSortKeys * psSortKeys);
void 
DBVprintN_DbvSpecification (FILE * f, char *name, DbvSpecification ** ppsSpecification);
void 
DBVprint_DbvSortType (FILE * f, DbvSortType * psSortType);
void 
DBVprint_DbvSortTypeType (FILE * f, DbvSortTypeType * peSortTypeType);
void 
DBVprint_DbvCaseSensitivity (FILE * f, DbvCaseSensitivity * peCaseSensitivity);
void 
DBVprint_DbvProcessingInformation (FILE * f, DbvProcessingInformation * psProcessingInformation);
void 
DBVprint_DbvProcessingContext (FILE * f, DbvProcessingContext * peProcessingContext);
void 
DBVprint_DbvVariantSetInfo (FILE * f, DbvVariantSetInfo * psVariantSetInfo);
void 
DBVprintN_DbvVariantClass (FILE * f, DbvVariantClass ** ppsVariants);
void 
DBVprint_DbvVariantClass (FILE * f, DbvVariantClass * psVariants);
void 
DBVprintN_DbvVariantTypes (FILE * f, DbvVariantTypes ** ppsVariantTypes);
void 
DBVprint_DbvVariantTypes (FILE * f, DbvVariantTypes * psVariantTypes);
void 
DBVprint_DbvVariantValue (FILE * f, DbvVariantValue * psVariantValue);
void 
DBVprint_DbvValueSet (FILE * f, DbvValueSet * psValues);
void 
DBVprint_DbvValueSetType (FILE * f, DbvValueSetType * peValueSetType);
void 
DBVprint_DbvValueRange (FILE * f, DbvValueRange * psValueRange);
void 
DBVprint_DbvValueDescription (FILE * f, DbvValueDescription * psValueDescription);
void 
DBVprint_DbvValueDescriptionType (FILE * f, DbvValueDescriptionType * peValueDescriptionType);
void 
DBVprintN_DbvValueDescription (FILE * f, DbvValueDescription ** ppsEnumerated);
void 
DBVprint_DbvUnitInfo (FILE * f, DbvUnitInfo * psUnitInfo);
void 
DBVprintN_DbvUnitType (FILE * f, char *name, DbvUnitType ** ppsUnitTypes);
void 
DBVprint_DbvUnitType (FILE * f, DbvUnitType * psUnitTypes);
void 
DBVprintN_DbvUnits (FILE * f, char *name, DbvUnits ** ppsUnits);
void 
DBVprint_DbvUnits (FILE * f, DbvUnits * psUnits);
void 
DBVprint_DbvCategoryList (FILE * f, DbvCategoryList * psCategoryList);
void 
DBVprintN_DbvCategoryInfo (FILE * f, DbvCategoryInfo ** ppsCategories);
void 
DBVprint_DbvCategoryInfo (FILE * f, DbvCategoryInfo * psCategoryInfo);



int 
DBVprint_generic_external (FILE * f, DbvASN1External * external_ptr);
void 
DBVprint_DbvGenericRecord (FILE * f, DbvGenericRecord * psGenericRecord);
void 
DBVprintN_DbvTaggedElement (FILE * f, DbvTaggedElement ** ppsTaggedElement);
void 
DBVprint_DbvTaggedElement (FILE * f, DbvTaggedElement * psTaggedElement);
void 
DBVprint_DbvElementDataG (FILE * f, char *name, DbvElementDataG * psContent);
void 
DBVprint_DbvElementDataGType (FILE * f, DbvElementDataGType * peElementDataGType);
void 
DBVprint_DbvElementMetaData (FILE * f, DbvElementMetaData * psMetaData);
void 
DBVprint_DbvOrder (FILE * f, DbvOrder * psSeriesOrder);
void 
DBVprint_DbvUsage (FILE * f, DbvUsage * psUsageRight);
void 
DBVprint_DbvUsageIntType (FILE * f, DbvUsageIntType * peType);
void 
DBVprintN_DbvHits (FILE * f, DbvHits ** ppsHits);
void 
DBVprint_DbvHits (FILE * f, DbvHits * psHits);
void 
DBVprint_DbvVariant (FILE * f, DbvVariant * psAppliedVariant);
void 
DBVprintN_DbvTriples (FILE * f, DbvTriples ** ppsTriples);
void 
DBVprint_DbvTriples (FILE * f, DbvTriples * psTriples);
void 
DBVprint_DbvValue (FILE * f, DbvValue * psValue);
void 
DBVprint_DbvVariantValueType (FILE * f, DbvVariantValueType * peVariantValueType);
void 
DBVprintN_DbvVariant (FILE * f, DbvVariant ** ppsSupportedVariants);
void 
DBVprintN_DbvTagPath (FILE * f, char *name, DbvTagPath ** ppsSurrogateFor);
void 
DBVprint_DbvTagPath (FILE * f, char *name, DbvTagPath * psSurrogateFor);



int 
DBVprint_itemorder_external (FILE * f, DbvASN1External * external_ptr);
int 
DBVprint_io_request (FILE * f, DbvEsIoRequest * psItemOrderRequest);
int 
DBVprint_io_originpartkeep (FILE * f, DbvEsIoOriginPartToKeep * psToKeep);
int 
DBVprint_io_contact (FILE * f, DbvEsIoContact * psContact);
int 
DBVprint_io_addbilling (FILE * f, DbvEsIoAdditionalBilling * psAdditionalBilling);
int 
DBVprint_io_paymethod (FILE * f, DbvEsIoPaymentMethod * psPaymentMethod);
int 
DBVprint_io_creditcardinfo (FILE * f, DbvEsIoCreditCardInfo * psCreditCardInfo);
int 
DBVprint_io_originpartnotkeep (FILE * f, DbvEsIoOriginPartNotToKeep * psNotToKeep);
int 
DBVprint_io_ressetitem (FILE * f, DbvEsIoResultSetItem * psResultSetItem);
int 
DBVprint_io_response (FILE * f, DbvEsIoTaskPackage * psItemOrderResponse);
int 
DBVprint_io_targetpart (FILE * f, DbvEsIoTargetPart * psTargetPart);
int 
DBVprint_io_auxstat (FILE * f, DbvEsIoAuxiliaryStatus * peAuxiliaryStatus);
int 
DBVprint_ill_external (FILE * f, DbvASN1External * external_ptr);
int 
DBVprint_ill_request (FILE * f, struct DbvIllRequest *psIllRequest);
int 
DBVprint_ill_protocolver (FILE * f, DbvIllProtocolVersion * peProtocolVersion);
int 
DBVprint_ill_transid (FILE * f, DbvTransactionId * psTransactionId);
int 
DBVprint_ill_systemid (FILE * f, DbvSystemId * psInitialRequesterId);
int 
DBVprint_ill_symbol (FILE * f, DbvPersonOrInstitutionSymbol * psSymbol);
int 
DBVprint_ill_perorinstsymtype (FILE * f, DbvPersOrInstSymbolType * peSymbolType);
int 
DBVprint_ill_illstring (FILE * f, DbvIllString * psSymbol);
int 
DBVprint_DbvGeneralString (FILE * f, DbvGeneralString * psGeneralString);
int 
DBVprint_ill_name (FILE * f, DbvNameOfPersonOrInstitution * psName);
int 
DBVprint_ill_nameofperorinst_type (FILE * f, DbvNameOfPersOrInstType * peNameType);
int 
DBVprint_ill_servdatetime (FILE * f, DbvServiceDateTime * psServiceDateTime);
int 
DBVprint_ill_datetime (FILE * f, DbvDateTime * psThisService);
int 
DBVprint_ill_transtype (FILE * f, DbvTransactionType * peTransactionType);
int 
DBVprint_ill_delivaddr (FILE * f, DbvDeliveryAddress * psDeliveryAddress);
int 
DBVprint_ill_postaladdr (FILE * f, DbvPostalAddress * psPostalAddress);
int 
DBVprint_ill_sysaddr (FILE * f, DbvSystemAddress * psElectronicAddress);
int 
DBVprint_ill_delivserv (FILE * f, DbvDeliveryService * psDeliveryService);
int 
DBVprint_ill_elecdelivservlist (FILE * f, DbvElectronicDeliveryService ** ppsElectronicDelivery);
int 
DBVprint_ill_elecdelivserv (FILE * f, DbvElectronicDeliveryService * psElectronicDelivery);
int 
DBVprint_ill_eldelivparam (FILE * f, DbvElDeliveryParameter * psDeliveryParameter);
int 
DBVprint_ill_doctypeparam (FILE * f, DbvDocumentTypeParameter * psDocumentTypeParameter);
int 
DBVprint_ill_eldelivdetails (FILE * f, DbvElDeliveryDetails * psDeliveryDetails);
int 
DBVprint_ill_servtypelist (FILE * f, DbvServiceType ** ppeServiceType);
int 
DBVprint_ill_servtype (FILE * f, DbvServiceType * peServiceType);
int 
DBVprint_ill_reqoptmsg (FILE * f, DbvRequesterOptionalMessages * psRequesterOptionalMessages);
int 
DBVprint_ill_optmsgreq (FILE * f, DbvOptionalMsgRequirements * peRequesterCheckedIn);
int 
DBVprint_ill_searchtype (FILE * f, DbvSearchType * psSearchType);
int 
DBVprint_ill_expflag (FILE * f, DbvExpiry * peExpiryFlag);
int 
DBVprint_ill_suppmedlist (FILE * f, DbvSupplyMediumInfo ** ppsSupplyMediumInfo);
int 
DBVprint_ill_suppmed (FILE * f, DbvSupplyMediumInfo * psSupplyMediumInfo);
int 
DBVprint_ill_suppmedinfo (FILE * f, DbvSupplyMediumType * peSupplyMediumType);
int 
DBVprint_ill_placeonhold (FILE * f, DbvPlaceOnHold * pePlaceOnHold);
int 
DBVprint_ill_clientid (FILE * f, DbvClientId * psClientId);
int 
DBVprint_ill_itemid (FILE * f, DbvItemId * psItemId);
int 
DBVprint_ill_itemtype (FILE * f, DbvItemType * peItemType);
int 
DBVprint_ill_mediumtype (FILE * f, DbvMediumType * peMediumType);
int 
DBVprint_ill_suppdesc (FILE * f, DbvASN1External ** ppsSupplementalItemDescription);
int 
DBVprint_ill_costinfo (FILE * f, DbvCostInfo * psCostInfo);
int 
DBVprint_ill_amount (FILE * f, DbvAmount * psMaximumCost);
int 
DBVprint_ill_thirdparty (FILE * f, DbvThirdPartyInfo * psThirdPartyInfo);
int 
DBVprint_ill_preference (FILE * f, DbvPreference * pePreference);
int 
DBVprint_ill_sendtolistlist (FILE * f, DbvSendToList ** ppsSendToList);
int 
DBVprint_ill_sendtolist (FILE * f, DbvSendToList * psSendToList);
int 
DBVprint_ill_systemidlist (FILE * f, DbvSystemId ** ppsAlreadyTriedList);
int 
DBVprint_ill_extensionlist (FILE * f, DbvExtension ** ppsRequestExtension);
int 
DBVprint_ill_extension (FILE * f, DbvExtension * psRequestExtension);
int 
DBVprint_illext_subito (FILE * f, DbvSubitoAdditionalInfo * psAddIllReqInfo);
int 
DBVprint_illext_subito_request (FILE * f, DbvAddRequesterInfo * psAddRequesterInfo);
int 
DBVprint_visible_string (FILE * f, DbvVisibleString pcRequesterEmailAddress);
int 
DBVprint_illext_subito_requestergroup (FILE * f, DbvRequesterGroup * peRequesterGroup);
int 
DBVprint_illext_subito_deliver (FILE * f, DbvAddDeliveryInfo * psAddDeliveryInfo);
int 
DBVprint_unsigned_long (FILE * f, Ulong * pulNumberOfCopies);
int 
DBVprint_illext_subito_statusleveluser (FILE * f, DbvStatusLevelUser * peStatusLevelUser);
int 
DBVprint_illext_subito_statuslevelerequester (FILE * f, DbvStatusLevelRequester * peStatusLevelOrigin);
int 
DBVprint_illext_subito_billing (FILE * f, DbvAddBillingInfo * psAddBillingInfo);
int 
DBVprint_illext_subito_billingbankinfo (FILE * f, DbvBillingBankInfo * psBillingBankInfo);
int 
DBVprint_illext_subito_billingcreditcardinfo (FILE * f, DbvBillingCreditCardInfo * psBillingCreditCardInfo);
int 
DBVprint_illext_subito_billinginvoicetype (FILE * f, DbvBillingInvoiceType eBillingInvoiceType);
int 
DBVprint_ill_statorerr (FILE * f, struct DbvStatusOrErrorReport *psStatusOrErrorReport);
int 
DBVprint_ill_reasnorep (FILE * f, DbvReasonNoReport * peReasonNoReport);
int 
DBVprint_ill_statrep (FILE * f, DbvStatusReport * psStatusReport);
int 
DBVprint_ill_histrep (FILE * f, DbvHistoryReport * psUserStatusReport);
int 
DBVprint_ill_mostrecserv (FILE * f, DbvMostRecentService * peMostRecentService);
int 
DBVprint_ill_shippedservtype (FILE * f, DbvShippedServiceType * peShippedServiceType);
int 
DBVprint_ill_transres (FILE * f, DbvTransactionResults * peTransactionResults);
int 
DBVprint_ill_provstat (FILE * f, DbvCurrentState * peProviderStatusReport);
int 
DBVprint_ill_errrep (FILE * f, DbvErrorReport * psErrorReport);
int 
DBVprint_ill_userorprovrrrep (FILE * f, DbvUserOrProviderErrorReport * psReport);
int 
DBVprint_ill_usererrrep (FILE * f, DbvUserErrorReport * psUserErrorReport);
int 
DBVprint_ill_alreadyforw (FILE * f, DbvAlreadyForwarded * psAlreadyForwarded);
int 
DBVprint_ill_intermed (FILE * f, DbvIntermediaryProblem * peIntermediaryProblem);
int 
DBVprint_ill_unabletoper (FILE * f, DbvUnableToPerform * peUnableToPerform);
int 
DBVprint_ill_proverrrep (FILE * f, DbvProviderErrorReport * psProviderErrorReport);
int 
DBVprint_ill_genprob (FILE * f, DbvGeneralProblem * peGeneralProblem);
int 
DBVprint_ill_transidprob (FILE * f, DbvTransactionIdProblem * peTransactionIdProblem);
int 
DBVprint_ill_statetransprohib (FILE * f, DbvStateTransitionProhibited * psStateTransitionProblem);
int 
DBVprint_ill_apdutype (FILE * f, DbvIllAPDUType * peAPDUType);
int 
DBVprint_aligned_external (FILE * f, DbvASN1External * external_ptr);
int 
DBVprint_intmaptest_external (FILE * f, DbvASN1External * external_ptr);
void 
DBVprint_accessrsp_fields (FILE * f, DbvAccessControlRsp * psAccessControlRsp);
void 
DBVprint_DbvAccessControlRsp_psReferenceId (FILE * f, DbvAccessControlRsp * psAccessControlRsp);
void 
DBVprint_DbvAccessControlRsp_psSecurityChallengeRsp (FILE * f, DbvAccessControlRsp * psAccessControlRsp);
void 
DBVprint_DbvAccessControlRsp_psDiagnostic (FILE * f, DbvAccessControlRsp * psAccessControlRsp);
void 
DBVprint_DbvAccessControlRsp_ppsOtherInformation (FILE * f, DbvAccessControlRsp * psAccessControlRsp);
void 
DBVprint_rescntrlrsp_fields (FILE * f, DbvResourceControlRsp * psResourceControlRsp);
void 
DBVprint_DbvResourceControlRsp_psReferenceId (FILE * f, DbvResourceControlRsp * psResourceControlRsp);
void 
DBVprint_DbvResourceControlRsp_fContinueFlag (FILE * f, DbvResourceControlRsp * psResourceControlRsp);
void 
DBVprint_DbvResourceControlRsp_pfResultSetWanted (FILE * f, DbvResourceControlRsp * psResourceControlRsp);
void 
DBVprint_DbvResourceControlRsp_ppsOtherInformation (FILE * f, DbvResourceControlRsp * psResourceControlRsp);
void 
DBVprint_trigrescntrlreq_fields (FILE * f, DbvTriggerResourceControlReq * psTriggerResourceControlReq);
void 
DBVprint_DbvTriggerResourceControlReq_psReferenceId (FILE * f, DbvTriggerResourceControlReq * psTriggerResourceControlReq);
void 
DBVprint_DbvTriggerResourceControlReq_eRequestedAction (FILE * f, DbvTriggerResourceControlReq * psTriggerResourceControlReq);
void 
DBVprint_DbvTriggerResourceControlReq_pcPreferredResourceReportFormat (FILE * f, DbvTriggerResourceControlReq * psTriggerResourceControlReq);
void 
DBVprint_DbvObjectIdentifierA (FILE * f, DbvObjectIdentifier pcPreferredResourceReportFormat);
void 
DBVprint_DbvTriggerResourceControlReq_pfResultSetWanted (FILE * f, DbvTriggerResourceControlReq * psTriggerResourceControlReq);
void 
DBVprint_DbvTriggerResourceControlReq_ppsOtherInformation (FILE * f, DbvTriggerResourceControlReq * psTriggerResourceControlReq);
void 
DBVprint_accessreq_fields (FILE * f, DbvAccessControlReq * psAccessControlReq);
void 
DBVprint_DbvAccessControlReq_psReferenceId (FILE * f, DbvAccessControlReq * psAccessControlReq);
void 
DBVprint_DbvAccessControlReq_psSecurityChallengeReq (FILE * f, DbvAccessControlReq * psAccessControlReq);
void 
DBVprint_DbvAccessControlReq_ppsOtherInformation (FILE * f, DbvAccessControlReq * psAccessControlReq);
void 
DBVprint_rescntrlreq_fields (FILE * f, DbvResourceControlReq * psResourceControlReq);
void 
DBVprint_DbvResourceControlReq_psReferenceId (FILE * f, DbvResourceControlReq * psResourceControlReq);
void 
DBVprint_DbvResourceControlReq_pfSuspendedFlag (FILE * f, DbvResourceControlReq * psResourceControlReq);
void 
DBVprint_DbvResourceControlReq_psResourceReport (FILE * f, DbvResourceControlReq * psResourceControlReq);
void 
DBVprint_DbvResourceControlReq_pePartialResultsAvailable (FILE * f, DbvResourceControlReq * psResourceControlReq);
void 
DBVprint_DbvResourceControlReq_fResponseRequired (FILE * f, DbvResourceControlReq * psResourceControlReq);
void 
DBVprint_DbvResourceControlReq_pfTriggeredRequestFlag (FILE * f, DbvResourceControlReq * psResourceControlReq);
void 
DBVprint_DbvResourceControlReq_ppsOtherInformation (FILE * f, DbvResourceControlReq * psResourceControlReq);
void 
DBVprint_DbvPromptObject_external (FILE * f, DbvASN1External * external_ptr);
void 
DBVprint_DbvPromptObject (FILE * f, struct DbvPromptObject *psPromptObject);
void 
DBVprint_DbvChallenge_list (FILE * f, DbvChallenge ** ppsChallenge);
void 
DBVprint_DbvChallenge (FILE * f, DbvChallenge * psChallenge);
void 
DBVprint_DbvPromptId (FILE * f, DbvPromptId * psPromptId);
void 
DBVprint_DbvEnumeratedPrompt (FILE * f, DbvEnumeratedPrompt * psEnumeratedPrompt);
void 
DBVprint_DbvEPromptIdType (FILE * f, DbvEPromptIdType * peType);
void 
DBVprint_DbvPromptInfo (FILE * f, DbvPromptInfo * psPromptInfo);
void 
DBVprint_DbvEncryption (FILE * f, DbvEncryption * psEncrypted);
void 
DBVprint_DbvDataType (FILE * f, DbvDataType * peDataType);
void 
DBVprint_DbvResponse_list (FILE * f, DbvResponse ** ppsResponse);
void 
DBVprint_DbvResponse (FILE * f, DbvResponse * psResponse);
void 
DBVprint_DbvPromptResponse (FILE * f, DbvPromptResponse * psPromptResponse);
int 
DBVprint_as_hex (FILE * f, char *ber_data, unsigned long length);
char 
DBVto_hex (char eightBits);



void 
DBVprint_DbvPrintExtendedService_external (FILE * f, DbvASN1External * external_ptr);
void 
DBVprint_DbvPrintExtendedService (FILE * f, DbvPrintExtendedService * psPrintExtendedService);
void 
DBVprint_DbvPrintReqOrRsp (FILE * f, DbvPrintReqOrRsp * pePrintReqRsp);
void 
DBVprint_DbvPrintRequestPackage (FILE * f, DbvPrintRequestPackage * psPrintRequest);
void 
DBVprint_DbvPrintOriginPartToKeep (FILE * f, DbvPrintOriginPartToKeep * psOriginPartToKeep);
void 
DBVprint_DbvPrintOriginPartToKeepType (FILE * f, DbvPrintOriginPartToKeepType * pePrintOriginPartToKeepType);
void 
DBVprint_DbvCreateOption (FILE * f, DbvCreateOption * psCreateOption);
void 
DBVprint_DbvCreateOptionType (FILE * f, DbvCreateOptionType * peCreateOptionType);
void 
DBVprint_DbvResultSetReference (FILE * f, DbvResultSetReference * psResultSetReference);
void 
DBVprint_DbvAddress (FILE * f, char *name, DbvAddress * psAddress);
void 
DBVprint_DbvAccessionReference (FILE * f, DbvAccessionReference * psAccessionReference);



void 
DBVprintN_DbvRange (FILE * f, char *name, DbvRange ** ppsAdditionalRanges);
void 
DBVprint_DbvRange (FILE * f, char *name, DbvRange * psAdditionalRanges);
void 
DBVprint_DbvRecordComposition (FILE * f, DbvRecordComposition * psRecordComposition);
void 
DBVprint_DbvCompSpec (FILE * f, char *name, DbvCompSpec * psCompSpec);
int 
DBVprint_pres_comp_spec (FILE * f, char *name, DbvCompSpec * psCompSpec);
int 
DBVprint_pres_dbspecific (FILE * f, DbvDbSpecificComp ** ppsDbSpecific);
int 
DBVprint_pres_recsyntax (FILE * f, DbvObjectIdentifier * ppcRecordSyntax);



void 
DBVprint_DbvDeleteOption (FILE * f, DbvDeleteOption * psDeleteOption);
void 
DBVprint_DbvPrintTaskPackage (FILE * f, DbvPrintTaskPackage * psPrintResponse);
void 
DBVprint_DbvPrintTargetPartToKeep (FILE * f, char *name, DbvPrintTargetPartToKeep * psTargetPart);
void 
DBVprint_DbvAlertExtendedService_external (FILE * f, DbvASN1External * external_ptr);
void 
DBVprint_DbvAlertExtendedService (FILE * f, DbvAlertExtendedService * psAlertExtendedService);
void 
DBVprint_DbvAlertReqOrRsp (FILE * f, DbvAlertReqOrRsp * peAlertReqRsp);
void 
DBVprint_DbvAlertRequestPackage (FILE * f, DbvAlertRequestPackage * psAlertRequest);
void 
DBVprint_DbvAlertOriginPartToKeep (FILE * f, DbvAlertOriginPartToKeep * psOriginPartToKeep);
void 
DBVprint_DbvAlertTaskPackage (FILE * f, DbvAlertTaskPackage * psAlertResponse);
void 
DBVprint_DbvCOrder_external (FILE * f, DbvASN1External * external_ptr);
void 
DBVprint_DbvCOrder (FILE * f, DbvCOrder * psCOrder);
void 
DBVprint_DbvCOrderType (FILE * f, DbvCOrderType * peCOrderType);
void 
DBVprint_DbvOrderRequest (FILE * f, DbvOrderRequest * psOrderRequest);
void 
DBVprint_DbvOrderRequestType (FILE * f, DbvOrderRequestType * peOrderRequestType);
void 
DBVprint_DbvNormalOrder (FILE * f, DbvNormalOrder * psNormalOrder);



void 
DBVprint_DbvCharSetAndLanguage_external (FILE * f, DbvASN1External * external_ptr);
void 
DBVprint_DbvCharSetAndLanguage (FILE * f, DbvCharSetAndLanguage * psCharSetAndLanguage);
void 
DBVprint_DbvCharSetAndLanguageType (FILE * f, DbvCharSetAndLanguageType * peCharSetAndLanguageType);
void 
DBVprint_DbvOriginProposal (FILE * f, DbvOriginProposal * psProposal);
void 
DBVprintN_DbvProposedCharSet (FILE * f, DbvProposedCharSet ** ppsProposedCharSets);
void 
DBVprint_DbvProposedCharSet (FILE * f, DbvProposedCharSet * psProposedCharSet);
void 
DBVprint_DbvProposedCharSetType (FILE * f, DbvProposedCharSetType * peProposedCharSetType);
void 
DBVprint_DbvIso2022 (FILE * f, DbvIso2022 * psIso2022);
void 
DBVprint_DbvIso2022Type (FILE * f, DbvIso2022Type * peIso2022Type);
void 
DBVprint_DbvIso2022Proposal (FILE * f, DbvIso2022Proposal * psOriginProposal);
void 
DBVprint_DbvEnvironment (FILE * f, char *name, DbvEnvironment * psProposedEnvironment);
void 
DBVprint_DbvEnvironmentType (FILE * f, DbvEnvironmentType * peEnvironmentType);
void 
DBVprint_DbvLeftAndRight (FILE * f, char *name, DbvLeftAndRight * psProposedLeftAndRight);
void 
DBVprintN_DbvInitialSet (FILE * f, DbvInitialSet ** ppsProposedInitialSets);
void 
DBVprint_DbvInitialSet (FILE * f, char *name, DbvInitialSet * psProposedInitialSets);
void 
DBVprint_DbvIso2022Response (FILE * f, DbvIso2022Response * psTargetResponse);
void 
DBVprint_DbvIso10646 (FILE * f, DbvIso10646 * psIso10646);
void 
DBVprint_DbvPrivateCharacterSet (FILE * f, DbvPrivateCharacterSet * psPrivate);
void 
DBVprint_DbvPrivateCharacterSetType (FILE * f, DbvPrivateCharacterSetType * pePrivateCharacterSetType);
void 
DBVprintN_DbvLanguageCode (FILE * f, DbvLanguageCode ** ppsProposedLangauages);
void 
DBVprint_DbvTargetResponse (FILE * f, DbvTargetResponse * psResponse);
void 
DBVprint_DbvSelectedCharSet (FILE * f, DbvSelectedCharSet * psSelectedCharSets);
void 
DBVprint_DbvSelectedCharSetType (FILE * f, DbvSelectedCharSetType * peSelectedCharSetType);



void 
DBVprint_DbvExpSpecExtendedService_external (FILE * f, DbvASN1External * external_ptr);
void 
DBVprint_DbvExpSpecExtendedService (FILE * f, DbvExpSpecExtendedService * psExpSpecExtendedService);
void 
DBVprint_DbvExpSpecReqOrRsp (FILE * f, DbvExpSpecReqOrRsp * peExpSpecReqOrRsp);
void 
DBVprint_DbvExpSpecRequestPackage (FILE * f, DbvExpSpecRequestPackage * psExpSpecRequest);
void 
DBVprint_DbvExpSpecOriginPartToKeep (FILE * f, DbvExpSpecOriginPartToKeep * psToKeep);
void 
DBVprint_DbvDestination (FILE * f, char *name, DbvDestination * psExportDestination);
void 
DBVprint_DbvDestinationType (FILE * f, DbvDestinationType * peDestinationType);
void 
DBVprint_DbvOther (FILE * f, DbvOther * psOther);
void 
DBVprint_DbvExpSpecTaskPackage (FILE * f, DbvExpSpecTaskPackage * psExpSpecResponse);
void 
DBVprint_DbvExpInvoExtendedService_external (FILE * f, DbvASN1External * external_ptr);
void 
DBVprint_DbvExpInvoExtendedService (FILE * f, DbvExpInvoExtendedService * psExpInvoExtendedService);
void 
DBVprint_DbvExpInvoReqOrRsp (FILE * f, DbvExpInvoReqOrRsp * peExpInvoReqOrRsp);
void 
DBVprint_DbvExpInvoRequestPackage (FILE * f, DbvExpInvoRequestPackage * psExpInvoRequest);
void 
DBVprint_DbvExpInvoOriginPartToKeep (FILE * f, char *name, DbvExpInvoOriginPartToKeep * psToKeep);
void 
DBVprint_DbvExpInvoOriginPartToKeepChoice (FILE * f, char *name, DbvExpInvoOriginPartToKeepChoice * psExportSpec);
void 
DBVprint_DbvExpInvoOriginPartToKeepChoiceType (FILE * f, DbvExpInvoOriginPartToKeepChoiceType * peExpInvoOriginPartToKeepChoiceType);
void 
DBVprint_DbvExpInvoOriginPartNotToKeep (FILE * f, char *name, DbvExpInvoOriginPartNotToKeep * psNotToKeep);
void 
DBVprint_DbvExpInvoRecords (FILE * f, char *name, DbvExpInvoRecords * psRecords);
void 
DBVprint_DbvExpInvoRecordsType (FILE * f, DbvExpInvoRecordsType * peExpInvoRecordsType);
void 
DBVprintN_DbvRanges (FILE * f, DbvRanges ** ppsRanges);
void 
DBVprint_DbvRanges (FILE * f, DbvRanges * psRanges);
void 
DBVprint_DbvExpInvoTaskPackage (FILE * f, DbvExpInvoTaskPackage * psExpInvoResponse);
void 
DBVprint_DbvExpInvoTargetPart (FILE * f, char *name, DbvExpInvoTargetPart * psTargetPart);
void 
DBVprint_DbvUserInfoSearchResult1_external (FILE * f, DbvASN1External * external_ptr);
void 
DBVprint_DbvUserInfoSearchResult1 (FILE * f, DbvUserInfoSearchResult1 * psUserInfoSearchResult1);
void 
DBVprintN_DbvSearchInfoReport (FILE * f, DbvSearchInfoReport ** ppsSearchInfoReport);
void 
DBVprint_DbvSearchInfoReport (FILE * f, char *name, DbvSearchInfoReport * psSearchInfoReport);
void 
DBVprint_DbvQueryExpression (FILE * f, char *name, DbvQueryExpression * psSubqueryExpression);
void 
DBVprint_DbvQueryExpressionType (FILE * f, DbvQueryExpressionType * peQueryExpressionType);
void 
DBVprint_DbvQueryExpressionSeq (FILE * f, DbvQueryExpressionSeq * psTerm);
void 
DBVprintN_DbvResultsByDB (FILE * f, DbvResultsByDB ** ppsresultsByDB);
void 
DBVprint_DbvResultsByDB (FILE * f, DbvResultsByDB * psresultsByDB);
void 
DBVprint_DbvResultsByDBChoice (FILE * f, char *name, DbvResultsByDBChoice * psDatabases);
void 
DBVprint_DbvResultsByDBChoiceType (FILE * f, DbvResultsByDBChoiceType * peResultsByDBChoiceType);




#endif
