/*  Module Name: @(#)oid_overwrites_f.c	7.6
    Version: 1/19/98
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description: snacc oid overwrite
 
*/


#include "sidefs.h"
#include "sitypes.h"
#include "sitypes2.h"
#include "dbvproto.h"
#include "iord_ext.h"
#include "itemordr.h"

int val;
jmp_buf env;
 
if ((val = setjmp(env)) == 0) {

AsnOid temp;
    
/* in z3950_globals.c */
extern char esformitemOid_static[],
	esformupdateOid_static[];


extern char esformexpspecOid_static[],
	esformexpinvoOid_static[],
	usersrch1Oid_static[];



/*  ANSI_ITEMORDER_EXTENDED_SERVICE - 1.2.840.10003.9.4 */
ASN_MakeOid(ANSI_ITEMORDER_EXTENDED_SERVICE, &temp, env);
memcpy(esformitemOid_static, temp.octs, temp.octetLen);
Asn1Free(temp.octs);
esformitemOid.octs = esformitemOid_static;
esformitemOid.octetLen = temp.octetLen;
oid1.octs = esformitemOid_static;
oid1.octetLen = temp.octetLen;


/*  ANSI_UPDATE_EXTENDED_SERVICE - 1.2.840.10003.9.5 */
ASN_MakeOid(ANSI_UPDATE_EXTENDED_SERVICE, &temp, env);
memcpy(esformupdateOid_static, temp.octs, temp.octetLen);
Asn1Free(temp.octs);
esformupdateOid.octs = esformupdateOid_static;
esformupdateOid.octetLen = temp.octetLen;
oid2.octs = esformupdateOid_static;
oid2.octetLen = temp.octetLen;




/*  ANSI_EXPORTSPEC_EXTENDED_SERVICE - 1.2.840.10003.9.6 */
ASN_MakeOid(ANSI_EXPORTSPEC_EXTENDED_SERVICE, &temp, env);
memcpy(esformexpspecOid_static, temp.octs, temp.octetLen);
Asn1Free(temp.octs);
esformexpspecOid.octs = esformexpspecOid_static;
esformexpspecOid.octetLen = temp.octetLen;
oid3.octs = esformexpspecOid_static;
oid3.octetLen = temp.octetLen;


/*  ANSI_EXPORTINVOC_EXTENDED_SERVICE - 1.2.840.10003.9.7 */
ASN_MakeOid(ANSI_EXPORTINVOC_EXTENDED_SERVICE, &temp, env);
memcpy(esformexpinvoOid_static, temp.octs, temp.octetLen);
Asn1Free(temp.octs);
esformexpinvoOid.octs = esformexpinvoOid_static;
esformexpinvoOid.octetLen = temp.octetLen;
oid6.octs = esformexpinvoOid_static;
oid6.octetLen = temp.octetLen;


/*  ANSI_USERINFO_SEARCHRESULT1 - 1.2.840.10003.10.1 */
ASN_MakeOid(ANSI_USERINFO_SEARCHRESULT1, &temp, env);
memcpy(usersrch1Oid_static, temp.octs, temp.octetLen);
Asn1Free(temp.octs);
usersrch1Oid.octs = usersrch1Oid_static;
usersrch1Oid.octetLen = temp.octetLen;
oid4.octs = usersrch1Oid_static;
oid4.octetLen = temp.octetLen;




} else {
        fprintf(stderr, "Fatal event: ASN_MakeOid failed for oid_overwrites_f.c\n");
}
 




