/*  Module Name: @(#)z3950_pdu_print1.h	7.18
    Version: 1/20/98
    Author: John Hough
 
    Crossnet Systems Ltd.
    Unit 3, The Paddock,
    Hambridge Road,
    Newbury,
    Berkshire, RG14 5TQ
 
    Date of Issue:
 
    QA Acceptance:
    Date of Acceptance:
 
    Description:
	

 
*/

#ifndef z3950_pdu_print_h
#define z3950_pdu_print_h 


#include "z3950_includes.h"


int 
DBVSendingTrace (DbvAssocId lAssocId);
int 
DBVReceivingTrace (DbvAssocId lAssocId);
int 
DBVInitReqTrace (DbvAssocId lAssocId, DbvInitializeReq * psInitializeReq);
void 
DBVget_trace_file (DbvAssocId lAssocId, FILE ** trace_file);
void 
DBVnewline (FILE * f);
int 
DBVInitRspTrace (DbvAssocId lAssocId, DbvInitializeRsp * psInitializeRsp);
int 
DBVSrchReqTrace (DbvAssocId lAssocId, DbvSearchReq * psSearchReq);
int 
DBVSrchRspTrace (DbvAssocId lAssocId, DbvSearchRsp * psSearchRsp);
int 
DBVPresReqTrace (DbvAssocId lAssocId, DbvPresentReq * psPresentReq);
int 
DBVPresRspTrace (DbvAssocId lAssocId, DbvPresentRsp * psPresentRsp);
int 
DBVDelReqTrace (DbvAssocId lAssocId, DbvDeleteResultSetReq * psDeleteResultSetReq);
int 
DBVDelRspTrace (DbvAssocId lAssocId, DbvDeleteResultSetRsp * psDeleteResultSetRsp);
int 
DBVResRepReqTrace (DbvAssocId lAssocId, DbvResourceReportReq * psResourceReportReq);
int 
DBVResRepRspTrace (DbvAssocId lAssocId, DbvResourceReportRsp * psResourceReportRsp);
int 
DBVScanReqTrace (DbvAssocId lAssocId, DbvScanReq * psScanReq);
int 
DBVScanRspTrace (DbvAssocId lAssocId, DbvScanRsp * psScanRsp);
int 
DBVSortReqTrace (DbvAssocId lAssocId, DbvSortReq * psSortReq);
int 
DBVSortRspTrace (DbvAssocId lAssocId, DbvSortRsp * psSortRsp);
int 
DBVSegReqTrace (DbvAssocId lAssocId, DbvSegmentReq * psSegmentReq);
int 
DBVExtendReqTrace (DbvAssocId lAssocId, DbvExtendedServicesReq * psExtendedServicesReq);
int 
DBVExtendRspTrace (DbvAssocId lAssocId, DbvExtendedServicesRsp * psExtendedServicesRsp);
int 
DBVCloseReqTrace (DbvAssocId lAssocId, DbvCloseReq * psCloseReq);
int 
DBVCloseRspTrace (DbvAssocId lAssocId, DbvCloseReq * psCloseRsp);
int 
DBVUnknownPDUTrace (DbvAssocId lAssocId, DbvOctetString * psInvalidAPDU);
int 
DBVAccReqTrace (DbvAssocId lAssocId, DbvAccessControlReq * psAccessControlReq);
int 
DBVAccRspTrace (DbvAssocId lAssocId, DbvAccessControlRsp * psAccessControlRsp);
int 
DBVResCntrlReqTrace (DbvAssocId lAssocId, DbvResourceControlReq * psResourceControlReq);
int 
DBVResCntrlRspTrace (DbvAssocId lAssocId, DbvResourceControlRsp * psResourceControlRsp);
int 
DBVTrigResCntrlReqTrace (DbvAssocId lAssocId, DbvTriggerResourceControlReq * psTriggerResourceControlReq);
int 
DBVprint_initrsp_fields (FILE * f, DbvInitializeRsp * psInitializeRsp);
int 
DBVprint_init_response_refid (FILE * f, DbvInitializeRsp * psInitializeRsp);
int 
DBVprint_init_response_prover (FILE * f, DbvInitializeRsp * psInitializeRsp);
int 
DBVprint_init_response_options (FILE * f, DbvInitializeRsp * psInitializeRsp);
int 
DBVprint_init_response_prefmess (FILE * f, DbvInitializeRsp * psInitializeRsp);
int 
DBVprint_init_response_maxmess (FILE * f, DbvInitializeRsp * psInitializeRsp);
int 
DBVprint_init_response_result (FILE * f, DbvInitializeRsp * psInitializeRsp);
int 
DBVprint_init_response_impid (FILE * f, DbvInitializeRsp * psInitializeRsp);
int 
DBVprint_init_response_impname (FILE * f, DbvInitializeRsp * psInitializeRsp);
int 
DBVprint_init_response_impver (FILE * f, DbvInitializeRsp * psInitializeRsp);
int 
DBVprint_init_response_userinfo (FILE * f, DbvInitializeRsp * psInitializeRsp);
int 
DBVprint_init_response_otherinfo (FILE * f, DbvInitializeRsp * psInitializeRsp);
int 
DBVprint_searchrsp_fields (FILE * f, DbvSearchRsp * psSearchRsp);
int 
DBVprint_DbvResultSetStatus (FILE * f, DbvResultSetStatus * peResultSetStatus);
int 
DBVprint_presrsp_fields (FILE * f, DbvPresentRsp * psPresentRsp);
int 
DBVprint_presrsp_refid (FILE * f, DbvPresentRsp * psPresentRsp);
int 
DBVprint_presrsp_numrecs (FILE * f, DbvPresentRsp * psPresentRsp);
int 
DBVprint_presrsp_nxtresset (FILE * f, DbvPresentRsp * psPresentRsp);
int 
DBVprint_presrsp_presstat (FILE * f, DbvPresentRsp * psPresentRsp);
int 
DBVprint_presrsp_records (FILE * f, DbvPresentRsp * psPresentRsp);
int 
DBVprint_presrsp_otherinfo (FILE * f, DbvPresentRsp * psPresentRsp);
int 
DBVprint_delrsp_fields (FILE * f, DbvDeleteResultSetRsp * psDeleteResultSetRsp);
int 
DBVprint_delete_resp_refid (FILE * f, DbvDeleteResultSetRsp * psDeleteResultSetRsp);
int 
DBVprint_delete_resp_opstat (FILE * f, DbvDeleteResultSetRsp * psDeleteResultSetRsp);
int 
DBVprint_opstat (FILE * f, DbvDeleteSetStatus eDeleteOperationStatus);
int 
DBVprint_delete_resp_dellistat (FILE * f, DbvDeleteResultSetRsp * psDeleteResultSetRsp);
int 
DBVprint_liststat (FILE * f, DbvListStatus * psDeleteListStatuses);
int 
DBVprint_delete_resp_numnotdel (FILE * f, DbvDeleteResultSetRsp * psDeleteResultSetRsp);
int 
DBVprint_delete_resp_bulkstat (FILE * f, DbvDeleteResultSetRsp * psDeleteResultSetRsp);
int 
DBVprint_delete_resp_delmess (FILE * f, DbvDeleteResultSetRsp * psDeleteResultSetRsp);
int 
DBVprint_delete_resp_otherinfo (FILE * f, DbvDeleteResultSetRsp * psDeleteResultSetRsp);
int 
DBVprint_resreprsp_fields (FILE * f, DbvResourceReportRsp * psResourceReportRsp);
int 
DBVprint_resrep_resp_refid (FILE * f, DbvResourceReportRsp * psResourceReportRsp);
int 
DBVprint_resrep_resp_repstat (FILE * f, DbvResourceReportRsp * psResourceReportRsp);
int 
DBVprint_resrep_resp_resrep (FILE * f, DbvResourceReportRsp * psResourceReportRsp);
int 
DBVprint_resrep_resp_otherinfo (FILE * f, DbvResourceReportRsp * psResourceReportRsp);
int 
DBVprint_scanrsp_fields (FILE * f, DbvScanRsp * psScanRsp);
int 
DBVprint_scan_resp_refid (FILE * f, DbvScanRsp * psScanRsp);
int 
DBVprint_scan_resp_stepsz (FILE * f, DbvScanRsp * psScanRsp);
int 
DBVprint_scan_resp_scanstat (FILE * f, DbvScanRsp * psScanRsp);
int 
DBVprint_scan_resp_nument (FILE * f, DbvScanRsp * psScanRsp);
int 
DBVprint_scan_resp_posterm (FILE * f, DbvScanRsp * psScanRsp);
int 
DBVprint_scan_resp_entries (FILE * f, DbvScanRsp * psScanRsp);
int 
DBVprint_listentries (FILE * f, DbvListEntries * psEntries);
int 
DBVprint_entry_list (FILE * f, DbvEntry ** ppsEntry);
int 
DBVprint_terminfo (FILE * f, DbvTermInfo * psTermInfo);
int 
DBVprint_attsplusterm_list (FILE * f, DbvAttributesPlusTerm ** ppsAlternativeTerm);
int 
DBVprint_occurrbyatt_list (FILE * f, DbvOccurrenceByAttributes ** ppsByAttributes);
int 
DBVprint_occurrbyatt (FILE * f, DbvOccurrenceByAttributes * psByAttributes);
int 
DBVprint_occurrence (FILE * f, DbvOccurrence * psOccurrence);
int 
DBVprint_occurbydb_list (FILE * f, DbvOccurrenceByDb ** ppsOccurrenceByDb);
int 
DBVprint_occurbydb (FILE * f, DbvOccurrenceByDb * psOccurrenceByDb);
int 
DBVprint_scan_resp_attsetid (FILE * f, DbvScanRsp * psScanRsp);
int 
DBVprint_scan_resp_otherinfo (FILE * f, DbvScanRsp * psScanRsp);
int 
DBVprint_sortrsp_fields (FILE * f, DbvSortRsp * psSortRsp);
int 
DBVprint_sort_resp_refid (FILE * f, DbvSortRsp * psSortRsp);
int 
DBVprint_sort_resp_status (FILE * f, DbvSortRsp * psSortRsp);
int 
DBVprint_sort_resp_ressetstat (FILE * f, DbvSortRsp * psSortRsp);
int 
DBVprint_sort_resp_diags (FILE * f, DbvSortRsp * psSortRsp);
int 
DBVprint_sort_resp_otherinfo (FILE * f, DbvSortRsp * psSortRsp);
int 
DBVprint_extendrsp_fields (FILE * f, DbvExtendedServicesRsp * psExtendedServicesRsp);
int 
DBVprint_extend_resp_refid (FILE * f, DbvExtendedServicesRsp * psExtendedServicesRsp);
int 
DBVprint_extend_resp_opstat (FILE * f, DbvExtendedServicesRsp * psExtendedServicesRsp);
int 
DBVprint_extend_resp_diags (FILE * f, DbvExtendedServicesRsp * psExtendedServicesRsp);
int 
DBVprint_extend_resp_taskpack (FILE * f, DbvExtendedServicesRsp * psExtendedServicesRsp);
int 
DBVprint_extend_resp_otherinfo (FILE * f, DbvExtendedServicesRsp * psExtendedServicesRsp);
int 
DBVprint_closereq_fields (FILE * f, DbvCloseReq * psCloseReq);
int 
DBVprint_close_request_refid (FILE * f, DbvCloseReq * psCloseReq);
int 
DBVprint_close_request_reason (FILE * f, DbvCloseReq * psCloseReq);
int 
DBVprint_close_request_diaginfo (FILE * f, DbvCloseReq * psCloseReq);
int 
DBVprint_close_request_resrepfmt (FILE * f, DbvCloseReq * psCloseReq);
int 
DBVprint_close_request_resrep (FILE * f, DbvCloseReq * psCloseReq);
int 
DBVprint_close_request_otherinfo (FILE * f, DbvCloseReq * psCloseReq);
int 
DBVprint_initreq_fields (FILE * f, DbvInitializeReq * psInitializeReq);
int 
DBVprint_init_request_refid (FILE * f, DbvInitializeReq * psInitializeReq);
int 
DBVprint_init_request_prover (FILE * f, DbvInitializeReq * psInitializeReq);
int 
DBVprint_init_request_options (FILE * f, DbvInitializeReq * psInitializeReq);
int 
DBVprint_init_request_prefmess (FILE * f, DbvInitializeReq * psInitializeReq);
int 
DBVprint_init_request_maxmess (FILE * f, DbvInitializeReq * psInitializeReq);
int 
DBVprint_init_request_idauth (FILE * f, DbvInitializeReq * psInitializeReq);
int 
DBVprint_initreq_idauth_open (FILE * f, DbvInitializeReq * psInitializeReq);
int 
DBVprint_initreq_idauth_pass (FILE * f, DbvInitializeReq * psInitializeReq);
int 
DBVprint_initreq_idauth_other (FILE * f, DbvInitializeReq * psInitializeReq);
int 
DBVprint_init_request_impid (FILE * f, DbvInitializeReq * psInitializeReq);
int 
DBVprint_init_request_impname (FILE * f, DbvInitializeReq * psInitializeReq);
int 
DBVprint_init_request_impver (FILE * f, DbvInitializeReq * psInitializeReq);
int 
DBVprint_init_request_userinfo (FILE * f, DbvInitializeReq * psInitializeReq);
int 
DBVprint_init_request_otherinfo (FILE * f, DbvInitializeReq * psInitializeReq);
int 
DBVprint_searchreq_fields (FILE * f, DbvSearchReq * psSearchReq);
int 
DBVprint_DbvQuery (FILE * f, DbvQuery * psQuery);
int 
DBVprint_rpnquery (FILE * f, DbvRPNQuery * psRpnQuery);
int 
DBVprint_rpn_structure (FILE * f, DbvRPNStructure * psDbvRPNStructure);
int 
DBVprint_rpnlopropoperator (FILE * f, DbvRPNLopRopOperator * psDbvRPNLopRopOperator);
int 
DBVprint_operator (FILE * f, DbvOperator sOperator);
int 
DBVprint_proxoperator (FILE * f, DbvProximityOperator * psProximityOperator);
int 
DBVprint_proxunitcode (FILE * f, DbvProximityUnitCode sProximityUnitCode);
int 
DBVprint_rpnoperand (FILE * f, DbvOperand * psRpnOperand);
int 
DBVprint_resplusatts (FILE * f, DbvResultSetPlusAttributes * psResultSetPlusAttributes);
int 
DBVprint_presreq_fields (FILE * f, DbvPresentReq * psPresentReq);
int 
DBVprint_pres_request_refid (FILE * f, DbvPresentReq * psPresentReq);
int 
DBVprint_pres_request_ressetid (FILE * f, DbvPresentReq * psPresentReq);
int 
DBVprint_pres_request_ressetstart (FILE * f, DbvPresentReq * psPresentReq);
int 
DBVprint_pres_request_numrecsreq (FILE * f, DbvPresentReq * psPresentReq);
int 
DBVprint_pres_request_addranges (FILE * f, DbvPresentReq * psPresentReq);
int 
DBVprint_pres_request_reccomp (FILE * f, DbvPresentReq * psPresentReq);
int 
DBVprint_pres_request_prefrecsyn (FILE * f, DbvPresentReq * psPresentReq);
int 
DBVprint_pres_request_maxsegcnt (FILE * f, DbvPresentReq * psPresentReq);
int 
DBVprint_pres_request_maxrecsze (FILE * f, DbvPresentReq * psPresentReq);
int 
DBVprint_pres_request_maxsegsze (FILE * f, DbvPresentReq * psPresentReq);
int 
DBVprint_pres_request_otherinfo (FILE * f, DbvPresentReq * psPresentReq);
int 
DBVprint_delreq_fields (FILE * f, DbvDeleteResultSetReq * psDeleteResultSetReq);
int 
DBVprint_delete_request_refid (FILE * f, DbvDeleteResultSetReq * psDeleteResultSetReq);
int 
DBVprint_delete_request_delfunc (FILE * f, DbvDeleteResultSetReq * psDeleteResultSetReq);
int 
DBVprint_delete_request_ressetid (FILE * f, DbvDeleteResultSetReq * psDeleteResultSetReq);
int 
DBVprint_delete_request_otherinfo (FILE * f, DbvDeleteResultSetReq * psDeleteResultSetReq);
int 
DBVprint_resrepreq_fields (FILE * f, DbvResourceReportReq * psResourceReportReq);
int 
DBVprint_resrep_request_refid (FILE * f, DbvResourceReportReq * psResourceReportReq);
int 
DBVprint_resrep_request_opid (FILE * f, DbvResourceReportReq * psResourceReportReq);
int 
DBVprint_resrep_request_prefrepfmt (FILE * f, DbvResourceReportReq * psResourceReportReq);
int 
DBVprint_resrep_request_otherinfo (FILE * f, DbvResourceReportReq * psResourceReportReq);
int 
DBVprint_scanreq_fields (FILE * f, DbvScanReq * psScanReq);
int 
DBVprint_scan_request_refid (FILE * f, DbvScanReq * psScanReq);
int 
DBVprint_scan_request_dbnames (FILE * f, DbvScanReq * psScanReq);
int 
DBVprint_scan_request_attsetid (FILE * f, DbvScanReq * psScanReq);
int 
DBVprint_scan_request_attplustrm (FILE * f, DbvScanReq * psScanReq);
int 
DBVprint_scan_request_stepsize (FILE * f, DbvScanReq * psScanReq);
int 
DBVprint_scan_request_numterms (FILE * f, DbvScanReq * psScanReq);
int 
DBVprint_scan_request_prefpos (FILE * f, DbvScanReq * psScanReq);
int 
DBVprint_scan_request_otherinfo (FILE * f, DbvScanReq * psScanReq);
int 
DBVprint_sortreq_fields (FILE * f, DbvSortReq * psSortReq);
int 
DBVprint_sort_request_refid (FILE * f, DbvSortReq * psSortReq);
int 
DBVprint_sort_request_inresset (FILE * f, DbvSortReq * psSortReq);
int 
DBVprint_sort_request_sortedres (FILE * f, DbvSortReq * psSortReq);
int 
DBVprint_sort_request_sortseq (FILE * f, DbvSortReq * psSortReq);
int 
DBVprint_sortkeyspec (FILE * f, DbvSortKeySpec * psSortSequence);
int 
DBVprint_sortelement (FILE * f, DbvSortElement * psSortElement);
int 
DBVprint_sortkey (FILE * f, DbvSortKey * psGeneric);
int 
DBVprint_sortatts (FILE * f, DbvSortAttributes * psSortAttributes);
int 
DBVprint_dbspecific (FILE * f, DbvDbSpecificSortKey ** ppsDatabaseSpecific);
int 
DBVprint_specsortkey (FILE * f, DbvDbSpecificSortKey * psDatabaseSpecific);
int 
DBVprint_sortrelation (FILE * f, DbvSortRelationType eSortRelationType);
int 
DBVprint_sortcase (FILE * f, DbvSortCaseType eSortCaseType);
int 
DBVprint_mvaction (FILE * f, DbvSortMVAction * psMVActionType);
int 
DBVprint_sort_request_otherinfo (FILE * f, DbvSortReq * psSortReq);
int 
DBVprint_segreq_fields (FILE * f, DbvSegmentReq * psSegmentReq);
int 
DBVprint_segreq_refid (FILE * f, DbvSegmentReq * psSegmentReq);
int 
DBVprint_segreq_numrecs (FILE * f, DbvSegmentReq * psSegmentReq);
int 
DBVprint_segreq_segrecs (FILE * f, DbvSegmentReq * psSegmentReq);
int 
DBVprint_segreq_otherinfo (FILE * f, DbvSegmentReq * psSegmentReq);
int 
DBVprint_extendreq_fields (FILE * f, DbvExtendedServicesReq * psExtendedServicesReq);
int 
DBVprint_extend_request_refid (FILE * f, DbvExtendedServicesReq * psExtendedServicesReq);
int 
DBVprint_extend_request_function (FILE * f, DbvExtendedServicesReq * psExtendedServicesReq);
int 
DBVprint_extend_request_packtype (FILE * f, DbvExtendedServicesReq * psExtendedServicesReq);
int 
DBVprint_extend_request_packname (FILE * f, DbvExtendedServicesReq * psExtendedServicesReq);
int 
DBVprint_extend_request_userid (FILE * f, DbvExtendedServicesReq * psExtendedServicesReq);
int 
DBVprint_extend_request_rettime (FILE * f, DbvExtendedServicesReq * psExtendedServicesReq);
int 
DBVprint_extend_request_permiss (FILE * f, DbvExtendedServicesReq * psExtendedServicesReq);
int 
DBVprint_extend_request_descrp (FILE * f, DbvExtendedServicesReq * psExtendedServicesReq);
int 
DBVprint_extend_request_orspec (FILE * f, DbvExtendedServicesReq * psExtendedServicesReq);
int 
DBVprint_extend_request_waction (FILE * f, DbvExtendedServicesReq * psExtendedServicesReq);
int 
DBVprint_extend_request_elements (FILE * f, DbvExtendedServicesReq * psExtendedServicesReq);
int 
DBVprint_extend_request_otherinfo (FILE * f, DbvExtendedServicesReq * psExtendedServicesReq);
void 
DBVprint_DbvASN1External (FILE * f, char *name, DbvASN1External * psASN1External);
int 
DBVprint_external (FILE * f, DbvASN1External * external_ptr);
int 
DBVprint_external_evaluetype (FILE * f, DbvExternalValueType eValueType);
int 
DBVprint_singleasn1type_easn1type (FILE * f, DbvExternalValueType eASN1Type);
int 
DBVprint_singleasn1type_external (FILE * f, char *oid, DbvASN1External * external_ptr);
void 
DBVprint_external_with_oid (FILE * f, char *oid, DbvASN1External * external_ptr);
int 
DBVprint_external_with_int (FILE * f, DbvASN1External * external_ptr);
int 
DBVprint_sutrs_external (FILE * f, DbvASN1External * external_ptr);
int 
DBVprint_opac_external (FILE * f, DbvASN1External * external_ptr);
int 
DBVprint_holdings_data (FILE * f, DbvHoldingsRecord * psHoldingsData);
int 
DBVprint_holdings_bulk (FILE * f, DbvHoldingsAndCircData sHoldingsAndCirc);
int 
DBVprint_hold_volume (FILE * f, DbvHoldingsAndCircData sHoldingsAndCirc);
int 
DBVprint_hold_circ (FILE * f, DbvHoldingsAndCircData sHoldingsAndCirc);
int 
DBVprint_summary_external (FILE * f, DbvASN1External * external_ptr);
int 
DBVprint_resrep1_external (FILE * f, DbvASN1External * external_ptr);
int 
DBVprint_estimate_type (FILE * f, DbvEstimateType eEstimateType);
int 
DBVprint_resrep2_external (FILE * f, DbvASN1External * external_ptr);
int 
DBVprint_estask_external (FILE * f, DbvASN1External * external_ptr);
int 
DBVprint_permissions (FILE * f, DbvPermissions ** ppsPermissions);
int 
DBVprint_allowfuncts (FILE * f, DbvPermAllowableFunctions ** ppeAllowableFunctions);
int 
DBVprint_update_external (FILE * f, DbvASN1External * external_ptr);
int 
DBVprint_update_request (FILE * f, DbvUpdateRequestPackage * psUpdateRequest);
int 
DBVprint_originparttokeep (FILE * f, DbvOriginPartToKeep * psOriginPartToKeep);
int 
DBVprint_action (FILE * f, DbvUpdtAction eAction);
int 
DBVprint_suppliedrecs (FILE * f, DbvSuppliedRecord ** ppsSuppliedRecord);
int 
DBVprint_suppliedrec (FILE * f, DbvSuppliedRecord * psSuppliedRecord);
int 
DBVprint_recordid (FILE * f, DbvUpdtRecordId * psUpdtRecordId);
int 
DBVprint_suppid (FILE * f, DbvUpdtSupplementalId * psUpdtSupplementalId);
int 
DBVprint_correl_info (FILE * f, DbvCorrelationInfo * psCorrelationInfo);
int 
DBVprint_update_response (FILE * f, DbvUpdateTaskPackage * psUpdateResponse);
int 
DBVprint_targetpart (FILE * f, DbvUpdateTargetPart * psTargetPart);
int 
DBVprint_taskstatus (FILE * f, DbvUpdtTaskStatus eTaskStatus);
int 
DBVprint_taskpack_recs (FILE * f, DbvTaskPackageRecord ** ppsTaskPackageRecord);
int 
DBVprint_taskpack_rec (FILE * f, DbvTaskPackageRecord * psTaskPackageRecord);
int 
DBVprint_recordiag (FILE * f, DbvUpdtRecordOrDiag * psUpdtRecordOrDiag);
int 
DBVprint_recstatus (FILE * f, DbvUpdtRecordStatus eUpdtRecordStatus);
int 
DBVprint_unknown_external (FILE * f, DbvASN1External * external_ptr);
int 
DBVprint_arbitrary_external (FILE * f, DbvASN1External * external_ptr);
int 
DBVprint_otherinfo (FILE * f, DbvOtherInformation ** ppsOtherInformation);
int 
DBVprint_otherinfo_node (FILE * f, DbvOtherInformation * psOtherInformation);
int 
DBVprint_otherinfo_char (FILE * f, DbvInternationalString * psCharacterInfo);
int 
DBVprint_otherinfo_bin (FILE * f, DbvOctetString * psBinaryInfo);
int 
DBVprint_otherinfo_ext (FILE * f, DbvASN1External * psExternallyDefinedInfo);
int 
DBVprint_otherinfo_obj (FILE * f, DbvObjectIdentifier pcObjectIdentifier);
int 
DBVprint_otherinfo_infotype (FILE * f, DbvInformationType eInformationType);
void 
DBVprint_DbvOctetString (FILE * f, char *name, DbvOctetString * octet_string);
int 
DBVprint_octet_string (FILE * f, DbvOctetString * octet_string);
void 
DBVprint_DbvInternationalString (FILE * f, char *name, DbvInternationalString * psInternationalString);
int 
DBVprint_inter_string (FILE * f, DbvInternationalString * inter_string);
void 
DBVprint_DbvBool (FILE * f, char *name, DbvBool * bool);
int 
DBVprint_bool (FILE * f, DbvBool * bool);
int 
DBVprint_DbvPresentStatus (FILE * f, DbvPresentStatus * pePresentStatus);
int 
DBVprint_DbvElementSetNames (FILE * f, DbvElementSetNames * psElementSetNames);
int 
DBVprint_el_set_names (FILE * f, DbvElementSetNames * psElementSetNames);
int 
DBVprint_el_set_specific (FILE * f, DbvElementSetsDbSpecific ** ppsElementSetsDbSpecific);
int 
DBVprint_records (FILE * f, DbvRecords * psRecords);
int 
DBVprint_nameplusrec (FILE * f, DbvNamePlusRecord ** ppsResponseRecord);
int 
DBVprint_diag_rec (FILE * f, DbvDiagRec * psSurrogateDiagnostic);
int 
DBVprint_default_diag (FILE * f, DbvDefaultDiagFormat * psDefault);
int 
DBVprint_fragment (FILE * f, DbvFragmentSyntax * psStartingFragment);
int 
DBVprint_additional_info (FILE * f, DbvAdditionalInfo sAdditionalInfo);
int 
DBVprint_diagrec_list (FILE * f, DbvDiagRec ** diagrec_list);
void 
DBVprint_DbvStringOrNumeric (FILE * f, char *name, DbvStringOrNumeric * psList);
int 
DBVprint_strornum (FILE * f, DbvStringOrNumeric * psList);
int 
DBVprint_DbvIntUnit (FILE * f, char *name, DbvIntUnit * psIntegerAndUnit);
int 
DBVprint_intunit (FILE * f, DbvIntUnit * psIntegerAndUnit);
int 
DBVprint_unitused (FILE * f, DbvUnit sUnitUsed);
int 
DBVprint_attsplusterm (FILE * f, DbvAttributesPlusTerm * psAttributesPlusTerm);
int 
DBVprint_att_element (FILE * f, DbvAttributeElement * psAttributeElement);
int 
DBVprint_att_value (FILE * f, DbvAttributeValue sAttributeValue);
int 
DBVprint_complexval (FILE * f, DbvComplexValue * psComplexValue);
int 
DBVprint_att_term (FILE * f, DbvTerm sTerm);
int 
DBVprint_DbvSpecification (FILE * f, char *name, DbvSpecification * psSpecification);
int 
DBVprint_DbvElementSpec (FILE * f, char *name, DbvElementSpec * psElementSpec);
int 
DBVprint_attelmnt_list (FILE * f, DbvAttributeElement ** ppsAttributeElement);
int 
DBVprint_invalidapdu (FILE * f, DbvOctetString * psInvalidAPDU);


#endif
